Index: /extensions/CommentEditor/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/CommentEditor/language/it_IT/plugin.lang.php	(revision 3491)
+++ /extensions/CommentEditor/language/it_IT/plugin.lang.php	(revision 3492)
@@ -19,5 +19,5 @@
 $lang['ce_'.CE_TYPE_INFO] = 'Informazione';
 $lang['ce_'.CE_TYPE_ERROR] = 'Errore';
-$lang['ce_edit_forbidden'] = 'Non siete autorizati ad editare questo commento';
+$lang['ce_edit_forbidden'] = 'Non siete autorizati a modificare questo commento';
 $lang['ce_access_invalid'] = 'Accesso invalido';
 $lang['ce_close_message_title'] = 'Chiudere il blocco messaggi';
Index: /extensions/Statistics/language/it_IT/index.php
===================================================================
--- /extensions/Statistics/language/it_IT/index.php	(revision 3492)
+++ /extensions/Statistics/language/it_IT/index.php	(revision 3492)
@@ -0,0 +1,66 @@
+<?php
+
+// +-----------------------------------------------------------------------+
+
+// | PhpWebGallery - a PHP based picture gallery                           |
+
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+
+// +-----------------------------------------------------------------------+
+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+
+// | last modifier : $Author: rub $
+
+// | revision      : $Revision: 1912 $
+
+// +-----------------------------------------------------------------------+
+
+// | This program is free software; you can redistribute it and/or modify  |
+
+// | it under the terms of the GNU General Public License as published by  |
+
+// | the Free Software Foundation                                          |
+
+// |                                                                       |
+
+// | This program is distributed in the hope that it will be useful, but   |
+
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+
+// | General Public License for more details.                              |
+
+// |                                                                       |
+
+// | You should have received a copy of the GNU General Public License     |
+
+// | along with this program; if not, write to the Free Software           |
+
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+
+// | USA.                                                                  |
+
+// +-----------------------------------------------------------------------+
+
+
+
+// Recursive call
+
+$url = '../';
+
+header( 'Request-URI: '.$url );
+
+header( 'Content-Location: '.$url );
+
+header( 'Location: '.$url );
+
+exit();
+
+?>
+
Index: /extensions/Statistics/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/Statistics/language/it_IT/plugin.lang.php	(revision 3492)
+++ /extensions/Statistics/language/it_IT/plugin.lang.php	(revision 3492)
@@ -0,0 +1,11 @@
+<?php
+$lang['Howto'] = 'Questo plugin consente d\'inserire il codice dato da Google Analytics, PhpMyVisites & co. in tutte le pagine della Vostra galleria';
+$lang['statistics_admin'] = 'Amminstrazione delle statistiche';
+$lang['statistics_admin_description'] = 'Inserire il codice che vi è stato fornito. ';
+$lang['stat_header'] = 'Inserire il codice nell\'intestazione';
+$lang['stat_tail'] = 'Inserire il codice nel piè di pagina';
+$lang['statistics_save_config'] = 'Dati registrati';
+$lang['Link'] = 'Link verso il vostro software di statistiche e di misurazione dell\'audience.';
+$lang['stat_admin'] = 'Escludere l\'amminstratore dalle statistiche.';
+$lang['stat_admin'] = 'Escludere gli ospiti dalle statistiche.';
+?>
Index: /extensions/typetags/language/it_IT/index.php
===================================================================
--- /extensions/typetags/language/it_IT/index.php	(revision 3492)
+++ /extensions/typetags/language/it_IT/index.php	(revision 3492)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/typetags/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/typetags/language/it_IT/plugin.lang.php	(revision 3492)
+++ /extensions/typetags/language/it_IT/plugin.lang.php	(revision 3492)
@@ -0,0 +1,32 @@
+<?php
+
+$lang['typetags_error'] = 'Dovete inserire tutti campi (nome e colore).';
+$lang['typetags_saved'] = 'TypeTag registrato.';
+$lang['typetags_suppr'] = 'TypeTags cancellati (%d).';
+$lang['typetag_suppr'] = 'TypeTag cancellato.';
+$lang['typetags_already exists'] = 'Questo TypeTag esiste già.';
+$lang['Edit selected typetags'] = 'Modificare i TypeTags selezionati.';
+$lang['Delete selected typetags'] = 'Cancellare i TypeTags selezionati.';
+$lang['Edit typetags'] = 'Modificare i TypeTags';
+$lang['New color'] = 'Nuovo colore';
+$lang['Create a Typetag'] = 'Creare un TypeTag';
+$lang['New TypeTag'] = 'Nome del TypeTag';
+$lang['ColorTypeTag'] = 'Colore del TypeTag';
+$lang['TypeTag selection'] = 'Modificare - Cancellare i TypeTags';
+$lang['TypeTag association'] = 'Associare i TypeTags';
+$lang['TypeTag dissociation'] = 'Dissociare i TypeTags';
+$lang['existing_typetag_list'] = 'TypeTag :';
+$lang['associate'] = 'Associare';
+$lang['dissociate'] = 'Dissociare';
+$lang['typetags_associated'] = 'TypeTag associato.';
+$lang['typetags_dissociated'] = 'TypeTag dissociato.';
+$lang['choose_typetag'] = ' Cegliere un TypeTag da associare ';
+$lang['error_associate'] = ' Dovete scegliere almeno un Tag E un TypeTag ';
+$lang['error_dissociate'] = ' Dovete scegliere almeno un Tag da dissociare ';
+
+$lang['Edited TypeTag'] = 'Typetag modificato';
+$lang['New name'] = 'Nuovo nome';
+$lang['Modify'] = 'Modificare';
+$lang['You should select only one Typetag to edit.'] = 'Non potete modificare più di un Typetag alla volta.';
+
+?>