Index: /extensions/floPure/theme/autumn/theme.css
===================================================================
--- /extensions/floPure/theme/autumn/theme.css	(revision 3496)
+++ /extensions/floPure/theme/autumn/theme.css	(revision 3497)
@@ -576,6 +576,10 @@
 .qsearch { font-size: 80%; font-style: normal; }
 #mbMenu #quicksearch > p { text-align: left; }
-#qsearchInput { color: #d3d3d3; }
-#qsearchInput:focus { color: #005e89; }
+#qsearchInput {
+	color: #000;
+}
+#qsearchInput:focus {
+	color: #000;
+}
 
 .tabsheet li,
Index: /extensions/floPure/theme/clear_blue/theme.css
===================================================================
--- /extensions/floPure/theme/clear_blue/theme.css	(revision 3496)
+++ /extensions/floPure/theme/clear_blue/theme.css	(revision 3497)
@@ -221,7 +221,10 @@
 .qsearch { font-size: 80%; font-style: normal; }
 #mbMenu #quicksearch > p { text-align: left; }
-#qsearchInput { color: #d3d3d3; }
-#qsearchInput:focus { color: #005e89; }
-
+#qsearchInput {
+	color: #000;
+}
+#qsearchInput:focus {
+	color: #000;
+}
 .tabsheet li,
 .tabsheet li a { color: #005e89; }
Index: /extensions/floPure/theme/freaky/theme.css
===================================================================
--- /extensions/floPure/theme/freaky/theme.css	(revision 3496)
+++ /extensions/floPure/theme/freaky/theme.css	(revision 3497)
@@ -292,7 +292,10 @@
 .qsearch { font-size: 80%; font-style: normal; }
 #mbMenu #quicksearch > p { text-align: left; }
-#qsearchInput { color: #d3d3d3; }
-#qsearchInput:focus { color: #005e89; }
-
+#qsearchInput {
+	color: #000;
+}
+#qsearchInput:focus {
+	color: #000;
+}
 .tabsheet li,
 .tabsheet li a { color: #000000; }
Index: /extensions/floPure/theme/green_nature/theme.css
===================================================================
--- /extensions/floPure/theme/green_nature/theme.css	(revision 3496)
+++ /extensions/floPure/theme/green_nature/theme.css	(revision 3497)
@@ -260,7 +260,10 @@
 .qsearch { font-size: 80%; font-style: normal; }
 #mbMenu #quicksearch > p { text-align: left; }
-#qsearchInput { color: #d3d3d3; }
-#qsearchInput:focus { color: #005e89; }
-
+#qsearchInput {
+	color: #000;
+}
+#qsearchInput:focus {
+	color: #000;
+}
 .tabsheet li,
 .tabsheet li a { color: #006600; }
Index: /extensions/floPure/theme/grey_light/theme.css
===================================================================
--- /extensions/floPure/theme/grey_light/theme.css	(revision 3496)
+++ /extensions/floPure/theme/grey_light/theme.css	(revision 3497)
@@ -219,7 +219,10 @@
 .qsearch { font-size: 80%; font-style: normal; }
 #mbMenu #quicksearch > p { text-align: left; }
-#qsearchInput { color: #d3d3d3; }
-#qsearchInput:focus { color: #005e89; }
-
+#qsearchInput {
+	color: #000;
+}
+#qsearchInput:focus {
+	color: #000;
+}
 .tabsheet li,
 .tabsheet li a { color: #FFFFFF;}
Index: /extensions/floPure/theme/grey_plastic/theme.css
===================================================================
--- /extensions/floPure/theme/grey_plastic/theme.css	(revision 3496)
+++ /extensions/floPure/theme/grey_plastic/theme.css	(revision 3497)
@@ -213,7 +213,10 @@
 .qsearch { font-size: 80%; font-style: normal; }
 #mbMenu #quicksearch > p { text-align: left; }
-#qsearchInput { color: #d3d3d3; }
-#qsearchInput:focus { color: #005e89; }
-
+#qsearchInput {
+	color: #000;
+}
+#qsearchInput:focus {
+	color: #000;
+}
 .tabsheet li,
 .tabsheet li a { color: #FFFFFF;}
Index: /extensions/floPure/theme/sky/theme.css
===================================================================
--- /extensions/floPure/theme/sky/theme.css	(revision 3496)
+++ /extensions/floPure/theme/sky/theme.css	(revision 3497)
@@ -304,7 +304,10 @@
 .qsearch { font-size: 80%; font-style: normal; }
 #mbMenu #quicksearch > p { text-align: left; }
-#qsearchInput { color: #d3d3d3; }
-#qsearchInput:focus { color: #005e89; }
-
+#qsearchInput {
+	color: #000;
+}
+#qsearchInput:focus {
+	color: #000;
+}
 .tabsheet li,
 .tabsheet li a { color: #005e89; }
Index: /extensions/floPure/theme/tr_clear_blue/theme.css
===================================================================
--- /extensions/floPure/theme/tr_clear_blue/theme.css	(revision 3496)
+++ /extensions/floPure/theme/tr_clear_blue/theme.css	(revision 3497)
@@ -251,7 +251,10 @@
 .qsearch { font-size: 80%; font-style: normal; }
 #mbMenu #quicksearch > p { text-align: left; }
-#qsearchInput { color: #d3d3d3; }
-#qsearchInput:focus { color: #005e89; }
-
+#qsearchInput {
+	color: #000;
+}
+#qsearchInput:focus {
+	color: #000;
+}
 .tabsheet li,
 .tabsheet li a { color: #005e89; }
Index: /extensions/floPure/theme/tr_green_nature/theme.css
===================================================================
--- /extensions/floPure/theme/tr_green_nature/theme.css	(revision 3496)
+++ /extensions/floPure/theme/tr_green_nature/theme.css	(revision 3497)
@@ -292,7 +292,10 @@
 .qsearch { font-size: 80%; font-style: normal; }
 #mbMenu #quicksearch > p { text-align: left; }
-#qsearchInput { color: #d3d3d3; }
-#qsearchInput:focus { color: #005e89; }
-
+#qsearchInput {
+	color: #000;
+}
+#qsearchInput:focus {
+	color: #000;
+}
 .tabsheet li,
 .tabsheet li a { color: #006600; }