Index: /extensions/floPure/theme/autumn/mail-css.tpl
===================================================================
--- /extensions/floPure/theme/autumn/mail-css.tpl	(revision 3498)
+++ /extensions/floPure/theme/autumn/mail-css.tpl	(revision 3499)
@@ -1,14 +1,13 @@
-/* $Id: mail-css.tpl 1918 2007-03-17 21:49:57Z rub $ */
-/* Theme mail css */
-/* Including like css style on HTML mail */
+{* $Id: mail-css.tpl 2285 2008-03-18 23:43:38Z rvelices $ *}
+/* Theme clear mail css */
 
-body{background-color:#fff; color:#696969;}
-#the_page {background: #fff url({pwg_root}template/{themeconf:template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
-#content {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
-#copyright {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
+body {ldelim} background-color:#fff; color:#696969;}
+#the_page {ldelim} background: #fff url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
+#content {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
+#copyright {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
 color: #333;}
-h2 { background-color: #ddd;}
-img { margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
-img:hover { padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
-a { color: #369; background: transparent; }
-a:hover { color: #ddd; }
+h2 {ldelim} background-color: #ddd;}
+img {ldelim} margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
+img:hover {ldelim} padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
+a {ldelim} color: #369; background: transparent; }
+a:hover {ldelim} color: #ddd; }
Index: /extensions/floPure/theme/clear_blue/mail-css.tpl
===================================================================
--- /extensions/floPure/theme/clear_blue/mail-css.tpl	(revision 3498)
+++ /extensions/floPure/theme/clear_blue/mail-css.tpl	(revision 3499)
@@ -1,14 +1,13 @@
-/* $Id: mail-css.tpl 1918 2007-03-17 21:49:57Z rub $ */
-/* Theme mail css */
-/* Including like css style on HTML mail */
+{* $Id: mail-css.tpl 2285 2008-03-18 23:43:38Z rvelices $ *}
+/* Theme clear mail css */
 
-body{background-color:#fff; color:#696969;}
-#the_page {background: #fff url({pwg_root}template/{themeconf:template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
-#content {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
-#copyright {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
+body {ldelim} background-color:#fff; color:#696969;}
+#the_page {ldelim} background: #fff url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
+#content {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
+#copyright {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
 color: #333;}
-h2 { background-color: #ddd;}
-img { margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
-img:hover { padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
-a { color: #369; background: transparent; }
-a:hover { color: #ddd; }
+h2 {ldelim} background-color: #ddd;}
+img {ldelim} margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
+img:hover {ldelim} padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
+a {ldelim} color: #369; background: transparent; }
+a:hover {ldelim} color: #ddd; }
Index: /extensions/floPure/theme/freaky/mail-css.tpl
===================================================================
--- /extensions/floPure/theme/freaky/mail-css.tpl	(revision 3498)
+++ /extensions/floPure/theme/freaky/mail-css.tpl	(revision 3499)
@@ -1,14 +1,13 @@
-/* $Id: mail-css.tpl 1918 2007-03-17 21:49:57Z rub $ */
-/* Theme mail css */
-/* Including like css style on HTML mail */
+{* $Id: mail-css.tpl 2285 2008-03-18 23:43:38Z rvelices $ *}
+/* Theme clear mail css */
 
-body{background-color:#fff; color:#696969;}
-#the_page {background: #fff url({pwg_root}template/{themeconf:template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
-#content {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
-#copyright {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
+body {ldelim} background-color:#fff; color:#696969;}
+#the_page {ldelim} background: #fff url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
+#content {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
+#copyright {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
 color: #333;}
-h2 { background-color: #ddd;}
-img { margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
-img:hover { padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
-a { color: #369; background: transparent; }
-a:hover { color: #ddd; }
+h2 {ldelim} background-color: #ddd;}
+img {ldelim} margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
+img:hover {ldelim} padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
+a {ldelim} color: #369; background: transparent; }
+a:hover {ldelim} color: #ddd; }
Index: /extensions/floPure/theme/green_nature/mail-css.tpl
===================================================================
--- /extensions/floPure/theme/green_nature/mail-css.tpl	(revision 3498)
+++ /extensions/floPure/theme/green_nature/mail-css.tpl	(revision 3499)
@@ -1,14 +1,13 @@
-/* $Id: mail-css.tpl 1918 2007-03-17 21:49:57Z rub $ */
-/* Theme mail css */
-/* Including like css style on HTML mail */
+{* $Id: mail-css.tpl 2285 2008-03-18 23:43:38Z rvelices $ *}
+/* Theme clear mail css */
 
-body{background-color:#fff; color:#696969;}
-#the_page {background: #fff url({pwg_root}template/{themeconf:template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
-#content {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
-#copyright {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
+body {ldelim} background-color:#fff; color:#696969;}
+#the_page {ldelim} background: #fff url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
+#content {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
+#copyright {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
 color: #333;}
-h2 { background-color: #ddd;}
-img { margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
-img:hover { padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
-a { color: #369; background: transparent; }
-a:hover { color: #ddd; }
+h2 {ldelim} background-color: #ddd;}
+img {ldelim} margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
+img:hover {ldelim} padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
+a {ldelim} color: #369; background: transparent; }
+a:hover {ldelim} color: #ddd; }
Index: /extensions/floPure/theme/grey_light/mail-css.tpl
===================================================================
--- /extensions/floPure/theme/grey_light/mail-css.tpl	(revision 3498)
+++ /extensions/floPure/theme/grey_light/mail-css.tpl	(revision 3499)
@@ -1,14 +1,13 @@
-/* $Id: mail-css.tpl 1918 2007-03-17 21:49:57Z rub $ */
-/* Theme mail css */
-/* Including like css style on HTML mail */
+{* $Id: mail-css.tpl 2285 2008-03-18 23:43:38Z rvelices $ *}
+/* Theme clear mail css */
 
-body{background-color:#fff; color:#696969;}
-#the_page {background: #fff url({pwg_root}template/{themeconf:template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
-#content {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
-#copyright {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
+body {ldelim} background-color:#fff; color:#696969;}
+#the_page {ldelim} background: #fff url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
+#content {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
+#copyright {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
 color: #333;}
-h2 { background-color: #ddd;}
-img { margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
-img:hover { padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
-a { color: #369; background: transparent; }
-a:hover { color: #ddd; }
+h2 {ldelim} background-color: #ddd;}
+img {ldelim} margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
+img:hover {ldelim} padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
+a {ldelim} color: #369; background: transparent; }
+a:hover {ldelim} color: #ddd; }
Index: /extensions/floPure/theme/grey_plastic/mail-css.tpl
===================================================================
--- /extensions/floPure/theme/grey_plastic/mail-css.tpl	(revision 3498)
+++ /extensions/floPure/theme/grey_plastic/mail-css.tpl	(revision 3499)
@@ -1,14 +1,13 @@
-/* $Id: mail-css.tpl 1918 2007-03-17 21:49:57Z rub $ */
-/* Theme mail css */
-/* Including like css style on HTML mail */
+{* $Id: mail-css.tpl 2285 2008-03-18 23:43:38Z rvelices $ *}
+/* Theme clear mail css */
 
-body{background-color:#fff; color:#696969;}
-#the_page {background: #fff url({pwg_root}template/{themeconf:template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
-#content {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
-#copyright {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
+body {ldelim} background-color:#fff; color:#696969;}
+#the_page {ldelim} background: #fff url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
+#content {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
+#copyright {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
 color: #333;}
-h2 { background-color: #ddd;}
-img { margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
-img:hover { padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
-a { color: #369; background: transparent; }
-a:hover { color: #ddd; }
+h2 {ldelim} background-color: #ddd;}
+img {ldelim} margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
+img:hover {ldelim} padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
+a {ldelim} color: #369; background: transparent; }
+a:hover {ldelim} color: #ddd; }
Index: /extensions/floPure/theme/sky/mail-css.tpl
===================================================================
--- /extensions/floPure/theme/sky/mail-css.tpl	(revision 3498)
+++ /extensions/floPure/theme/sky/mail-css.tpl	(revision 3499)
@@ -1,14 +1,13 @@
-/* $Id: mail-css.tpl 1918 2007-03-17 21:49:57Z rub $ */
-/* Theme mail css */
-/* Including like css style on HTML mail */
+{* $Id: mail-css.tpl 2285 2008-03-18 23:43:38Z rvelices $ *}
+/* Theme clear mail css */
 
-body{background-color:#fff; color:#696969;}
-#the_page {background: #fff url({pwg_root}template/{themeconf:template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
-#content {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
-#copyright {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
+body {ldelim} background-color:#fff; color:#696969;}
+#the_page {ldelim} background: #fff url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
+#content {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
+#copyright {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
 color: #333;}
-h2 { background-color: #ddd;}
-img { margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
-img:hover { padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
-a { color: #369; background: transparent; }
-a:hover { color: #ddd; }
+h2 {ldelim} background-color: #ddd;}
+img {ldelim} margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
+img:hover {ldelim} padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
+a {ldelim} color: #369; background: transparent; }
+a:hover {ldelim} color: #ddd; }
Index: /extensions/floPure/theme/tr_clear_blue/mail-css.tpl
===================================================================
--- /extensions/floPure/theme/tr_clear_blue/mail-css.tpl	(revision 3498)
+++ /extensions/floPure/theme/tr_clear_blue/mail-css.tpl	(revision 3499)
@@ -1,14 +1,13 @@
-/* $Id: mail-css.tpl 1918 2007-03-17 21:49:57Z rub $ */
-/* Theme mail css */
-/* Including like css style on HTML mail */
+{* $Id: mail-css.tpl 2285 2008-03-18 23:43:38Z rvelices $ *}
+/* Theme clear mail css */
 
-body{background-color:#fff; color:#696969;}
-#the_page {background: #fff url({pwg_root}template/{themeconf:template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
-#content {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
-#copyright {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
+body {ldelim} background-color:#fff; color:#696969;}
+#the_page {ldelim} background: #fff url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
+#content {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
+#copyright {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
 color: #333;}
-h2 { background-color: #ddd;}
-img { margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
-img:hover { padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
-a { color: #369; background: transparent; }
-a:hover { color: #ddd; }
+h2 {ldelim} background-color: #ddd;}
+img {ldelim} margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
+img:hover {ldelim} padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
+a {ldelim} color: #369; background: transparent; }
+a:hover {ldelim} color: #ddd; }
Index: /extensions/floPure/theme/tr_green_nature/mail-css.tpl
===================================================================
--- /extensions/floPure/theme/tr_green_nature/mail-css.tpl	(revision 3498)
+++ /extensions/floPure/theme/tr_green_nature/mail-css.tpl	(revision 3499)
@@ -1,14 +1,13 @@
-/* $Id: mail-css.tpl 1918 2007-03-17 21:49:57Z rub $ */
-/* Theme mail css */
-/* Including like css style on HTML mail */
+{* $Id: mail-css.tpl 2285 2008-03-18 23:43:38Z rvelices $ *}
+/* Theme clear mail css */
 
-body{background-color:#fff; color:#696969;}
-#the_page {background: #fff url({pwg_root}template/{themeconf:template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
-#content {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
-#copyright {background: transparent url({pwg_root}template/{themeconf:template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
+body {ldelim} background-color:#fff; color:#696969;}
+#the_page {ldelim} background: #fff url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
+#content {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
+#copyright {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
 color: #333;}
-h2 { background-color: #ddd;}
-img { margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
-img:hover { padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
-a { color: #369; background: transparent; }
-a:hover { color: #ddd; }
+h2 {ldelim} background-color: #ddd;}
+img {ldelim} margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
+img:hover {ldelim} padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
+a {ldelim} color: #369; background: transparent; }
+a:hover {ldelim} color: #ddd; }