Index: extensions/music_player/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/music_player/language/fr_FR/plugin.lang.php	(revision 3500)
+++ extensions/music_player/language/fr_FR/plugin.lang.php	(revision 3501)
@@ -135,4 +135,6 @@
 $lang['mp_info_min']="[ La miniature est optionnelle. ]";
 
+$lang['mp_text_no_autorisation']="Vous n'êtes PAS autorisé à écouter de la musique ! Veuillez contacter l'administrateur afin de savoir pourquoi et éventuellement vous autoriser";
+
 
 ?>
Index: extensions/music_player/lecteur.php
===================================================================
--- extensions/music_player/lecteur.php	(revision 3500)
+++ extensions/music_player/lecteur.php	(revision 3501)
@@ -5,37 +5,47 @@
 $m_p = get_plugin_data('music_player');
 
+///////////[ interdiction groupe
+global $prefixeTable;
+$query = '
+SELECT COUNT(*) AS result FROM '.GROUPS_TABLE.'
+  WHERE name IN (\'music_group\') ;';
+$data_grp = mysql_fetch_array(pwg_query($query));
+$exist_group = $data_grp['result'];   
+if ( $exist_group == 1 )
+{
+	$display=0;
+	$query = 'SELECT group_id FROM '.USER_GROUP_TABLE.' WHERE user_id IN (\''.$user['id'].'\');';
+	$result = pwg_query($query);
+	$grp_id = array();
+	while ($row = mysql_fetch_assoc($result)) {
+		array_push($grp_id, $row);
+	}
+	
+	foreach ($grp_id as $grp)
+	{
+		$query = 'SELECT id FROM '.GROUPS_TABLE.' WHERE name IN (\'music_group\') ;';
+		$rep = mysql_fetch_array(pwg_query($query));
+		if ($rep['id']==$grp['group_id'] )
+		{
+			$display=1;
+		}
+	}
+
+}
+if (isset($display) and $display==0)
+{
+	include(PHPWG_ROOT_PATH.'include/page_header.php');
+	load_language('plugin.lang', $m_p->plugin_path);
+	$template->set_filename('lecteur', $m_p->plugin_path.'template/no.tpl');
+	$template->parse('lecteur');
+	include(PHPWG_ROOT_PATH.'include/page_tail.php');
+	
+	
+}
+//////////
+else {
 
 $page['body_id'] = 'lecteur';
 
-//css et js
-/*
-$title= 'Lecteur';
-      $template -> assign_block_vars(
-        'head_element', array (
-          'CONTENT' => '<link rel="stylesheet" type="text/css" href="./template/lecteur.css">'
-        )
-      );
-      $template -> assign_block_vars(
-        'head_element', array (
-          'CONTENT' => '<script type="text/javascript" src="./player/swfobject.js"></script>'
-        )
-      );
-      $template -> assign_block_vars(
-        'head_element', array (
-          'CONTENT' => '<script type="text/javascript">
-
-	function loadFile(obj) { thisMovie("playlist").loadFile(obj); };
-	// This is a javascript handler for the player and is always needed.
-	function thisMovie(movieName) {
-	    if(navigator.appName.indexOf("Microsoft") != -1) {
-			return window[movieName];
-		} else {
-			return document[movieName];
-		}
-	};
-
-</script>'
-        )
-      );*/
   global $conf;
   $conf_plugin = explode("," , $conf['mp_plugin']);
@@ -47,30 +57,6 @@
   );
 
-    /*if ($conf_plugin[1]!='true')
-    {
-        $template -> assign_block_vars(
-        'head_element', array (
-          'CONTENT' => '<style type="text/css">
-#theHeader
-{
-display:none;
-}
-</style>'
-        )
-      );
-    }
-    if ($conf_plugin[2]!='true')
-    {
-	      $template -> assign_block_vars(
-        'head_element', array (
-          'CONTENT' => '<style type="text/css">
-#copyright
-{
-display:none;
-}		  </style>'
-        )
-      );
-   }*/
-	  
+
+/*
 /////[ si metre en evidence
 	if ($conf_plugin[0]=="true")
@@ -88,5 +74,5 @@
 	}
 ///
-
+*/
 include(PHPWG_ROOT_PATH.'include/page_header.php');
 	load_language('plugin.lang', $m_p->plugin_path);
@@ -176,4 +162,5 @@
 $template->parse('lecteur');
 include(PHPWG_ROOT_PATH.'include/page_tail.php');
+}//else groupe
 //$template->p();
 ?>
Index: extensions/music_player/template/no.css
===================================================================
--- extensions/music_player/template/no.css	(revision 3501)
+++ extensions/music_player/template/no.css	(revision 3501)
@@ -0,0 +1,25 @@
+#autre_content
+{
+width:100%;
+padding:0;
+margin:0;
+  }
+#content
+{
+margin-left: auto;
+margin-bottom:1em;
+width:100%;
+border:none;
+  }
+#the_page
+{
+width:100%;
+border:none;
+  }
+body {
+min-width: inherit;
+width:100%;
+}
+#cache
+{
+padding:5px}
Index: extensions/music_player/template/no.tpl
===================================================================
--- extensions/music_player/template/no.tpl	(revision 3501)
+++ extensions/music_player/template/no.tpl	(revision 3501)
@@ -0,0 +1,11 @@
+{html_head}<link rel="stylesheet" type="text/css" href="./template/no.css">{/html_head}
+
+<div id="content">
+<div id="autre_content">
+    <p>{'mp_text_no_autorisation'|@translate}</p>
+    <p id="pageBottomActions"><a href="#" onclick="window.close();" title="{'Close this window'|@translate}"><img src="template/icon/exit.png" class="button" alt="close"></a></p>
+</div>
+</div> <!-- the_page -->
+
+</body>
+</html>