Index: /extensions/music_player/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/music_player/language/en_UK/plugin.lang.php	(revision 3501)
+++ /extensions/music_player/language/en_UK/plugin.lang.php	(revision 3502)
@@ -21,4 +21,5 @@
 $lang['mp_help_q6'] = "It's possible to add podcats ?";
 $lang['mp_help_q7'] = "I can't find answers here / I have some problemes";
+$lang['mp_help_q7'] = "New : you can restric the acces of the player";
 
 $lang['mp_help_div1'] = "Mp3 must be put into Music folder of the plugin like this \"[PWG folder]/plugins/music_player/music/[new playlist]/\". You should make your playlists order by artist (music/moby/go.pm3), or put artist's mane directly into file name (music/electro/moby-go.pm3)";
@@ -38,5 +39,7 @@
 $lang['mp_help_div5'] = "Yes : For this go into the playlist of your choice and, on step two, add your file. Be careful : Even if mp3 is on the same server that this plugin, you need to write complete ardress with http://";
 $lang['mp_help_div6'] = "Yes : Since 1.3 a block for podcast and distant playlist have been added. Be careful  : playlist must be in Atom, Xspf (use by the plugin), or RSS format. (podcast are always RSS)";
-$lang['mp_help_div7'] = 'You can find support for the plugins here : <a href="http://forum.phpwebgallery.net/viewtopic.php?pid=68781"> http://forum.phpwebgallery.net/viewtopi … t;/a>';
+$lang['mp_help_div7'] = 'You can find support for the plugins here : <a href="http://forum.phpwebgallery.net/viewtopic.php?pid=68781"> http://forum.phpwebgallery.net/viewtopic.php?pid=68781/a>';
+$lang['mp_help_div8'] = "New : you can restric the acces of the player. Indeed, if you create the group 'music_group', only the members of this group will be able to listen to the music. If it doesn't exist (the case on default),  everyone can acces to the player";
+
 
 $lang['mp_admin_leg'] = 'Playlist manager';
@@ -135,4 +138,6 @@
 $lang['mp_info_min']="[ The thumbnail is optional. ]";
 
+$lang['mp_text_no_autorisation']="You are not allowed to listen music ! Please contact the webmaster to know why, and maybe to be allow";
+
 
 ?>
Index: /extensions/music_player/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/music_player/language/fr_FR/plugin.lang.php	(revision 3501)
+++ /extensions/music_player/language/fr_FR/plugin.lang.php	(revision 3502)
@@ -20,4 +20,5 @@
 $lang['mp_help_q6'] = "Peut-on ajouter des podcats ou une playlist distante ?";
 $lang['mp_help_q7'] = "Je ne trouve pas de réponses ici / J'ai un très gros problème";
+$lang['mp_help_q8'] = "Nouveau : vous pouvez restreindre les droits d'écoute";
 
 $lang['mp_help_div1'] = "Les mp3 doivent être mis dans le dossier music du plugin de cette façon \"[le dossier de pwg]/plugins/music_player/music/[nouvelle playlist]/\". Il est conseillé de faire des playlist par artiste (music/moby/go.pm3), ou sinon mettre le nom de l'artiste dans le nom du fichier mp3 (music/electro/moby-go.pm3)";
@@ -38,4 +39,5 @@
 $lang['mp_help_div6'] = "Oui : depuis la 1.3 un block pour podcast et playlist distante a été ajouté. Attention : la playlist doit être au format Atom, Xspf (utilisé par le plugin), ou RSS. (Les podcast sont tous des RSS)";
 $lang['mp_help_div7'] = 'Le support du plugin s\'effectue ici : <a href="http://forum.phpwebgallery.net/viewtopic.php?pid=68781"> http://forum.phpwebgallery.net/viewtopic.php?pid=68781</a>';
+$lang['mp_help_div8'] = "Nouveau : vous pouvez restreindre les droits d'écoute. En effet, si vous créer le groupe 'music_group', seul les utilisateurs appartenant à ce groupe pourront lire la musique. S'il n'est pas créé (cas par défaut), tout le monde peut accéder au lecteur";
 
 $lang['mp_admin_leg'] = 'Gestion des playlist';
Index: /extensions/music_player/template/help.tpl
===================================================================
--- /extensions/music_player/template/help.tpl	(revision 3501)
+++ /extensions/music_player/template/help.tpl	(revision 3502)
@@ -15,4 +15,5 @@
     <li><a href="#q6">{'mp_help_q6'|@translate}</a></li>
     <li><a href="#q7">{'mp_help_q7'|@translate}</a></li>
+    <li><a href="#q">{'mp_help_q8'|@translate}</a></li>
    </ul>
   </dd>
@@ -33,4 +34,6 @@
 <div id="q7" class="help"><p><strong>{'mp_help_q7'|@translate}</strong><br />{'mp_help_div7'|@translate}</p>
 </div>
+<div id="q8" class="help"><p><strong>{'mp_help_q8'|@translate}</strong><br />{'mp_help_div8'|@translate}</p>
+</div>
 <p><a href="admin.php?page=plugin&amp;section=music_player/admin/admin.php">{'mp_adm_return'|@translate}</a></p>
 </div>