Index: extensions/music_player/main.inc.php
===================================================================
--- extensions/music_player/main.inc.php	(revision 3507)
+++ extensions/music_player/main.inc.php	(revision 3508)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: music_player
-Version: 2.0.3
+Version: 2.1.0
 Description: play music / avoir de la musique
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=162
Index: extensions/music_player/template/lecteur.tpl
===================================================================
--- extensions/music_player/template/lecteur.tpl	(revision 3507)
+++ extensions/music_player/template/lecteur.tpl	(revision 3508)
@@ -40,5 +40,5 @@
     <tr>
       <td id="section_up_left">&nbsp;</td>
-      <td id="section_up"><a href="#" id="close_button" onclick="window.close();" title="{'Close this window'|@translate}"><img src="template/icon/exit.png" class="button" alt="close"></a></li></ul></td>
+      <td id="section_up">&nbsp;</td>
       <td id="section_up_right">&nbsp;</td>
     </tr>
@@ -59,5 +59,6 @@
         </div>
   </div>
-<p align="center" id="player">
+  <div id="close_button"><a href="#" onclick="window.close();" title="{'Close this window'|@translate}"><img src="template/icon/exit.png" class="button" alt="close"></a></div>
+  <div align="center" id="player">
 <script type="text/javascript">
 	var so = new SWFObject("player/mp3player.swf", "playlist", "{$L_TT}", "{$H_TT}", "7");
@@ -84,5 +85,5 @@
 
 	so.write("player");
-</script></p>
+</script></div>
 </td>
 	  <td id="section_right">&nbsp;</td>
Index: extensions/music_player/template/style/floPure/clear_blue/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/floPure/clear_blue/lecteur.conf.php	(revision 3508)
+++ extensions/music_player/template/style/floPure/clear_blue/lecteur.conf.php	(revision 3508)
@@ -0,0 +1,5 @@
+<?php
+$BACK_COLOR='0xcad8e1';
+$FRONT_COLOR='0x000000';
+$LIGHT_COLOR='0xedf2f2';
+?>
Index: extensions/music_player/template/style/floPure/clear_blue/lecteur.css
===================================================================
--- extensions/music_player/template/style/floPure/clear_blue/lecteur.css	(revision 3508)
+++ extensions/music_player/template/style/floPure/clear_blue/lecteur.css	(revision 3508)
@@ -0,0 +1,99 @@
+#autre_content
+{
+width:100%;
+padding:0;
+margin:0;
+}
+#content
+{
+margin-left: auto;
+margin-bottom:1em;
+width:100%;
+border:none;
+  }
+#the_page
+{
+width:100%;
+border:none;
+  }
+body {
+min-width: inherit;
+width:100%;
+}
+#cache
+{
+padding:5px
+}
+#close_button
+{
+	margin-right:10px;
+	margin-left:90%;
+}
+#table_content
+{
+	padding:15px;
+}
+#section_up
+{
+	padding-top:5px;
+	text-align:right;
+}
+#section_up A
+{
+	text-decoration:none;
+	border:none;
+}
+/* backgrounds */
+#autre_content, #content, .content
+{
+	background:none;
+}
+#section_up_right{
+ background-image: url(images/content_top_right.jpg);
+ background-repeat:no-repeat;
+ background-position:bottom;
+ width:22px;
+ height:14px;
+}
+#section_up_left{
+ background-image: url(images/content_top_left.jpg);
+  background-position:bottom;
+  background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+#section_up{
+ background-image: url(images/content_top_backg.jpg);
+   background-position:bottom;
+   background-repeat: repeat-x;
+   height:14px;
+}
+
+#section_in, #section_right, #section_left {
+	background-image: url(images/content_backg.jpg)!important;
+	background-repeat:repeat-x;
+	background-position:top;
+	background-color:#c4cbd3;
+}
+
+#section_bottom_right{
+ background-image: url(images/content_bottom_right.jpg);
+ background-position:top;
+ background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+#section_bottom_left{
+ background-image: url(images/content_bottom_left.jpg);
+ background-position:top;
+ background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+#section_bottom{
+ background-image: url(images/content_bottom_backg.jpg);
+ background-position:top;
+   background-repeat: repeat-x;
+  height:14px;
+}
+
Index: extensions/music_player/template/style/floPure/green_nature/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/floPure/green_nature/lecteur.conf.php	(revision 3508)
+++ extensions/music_player/template/style/floPure/green_nature/lecteur.conf.php	(revision 3508)
@@ -0,0 +1,5 @@
+<?php
+$BACK_COLOR='0x3f540f';
+$FRONT_COLOR='0xffffff';
+$LIGHT_COLOR='0xedf2f2';
+?>
Index: extensions/music_player/template/style/floPure/green_nature/lecteur.css
===================================================================
--- extensions/music_player/template/style/floPure/green_nature/lecteur.css	(revision 3508)
+++ extensions/music_player/template/style/floPure/green_nature/lecteur.css	(revision 3508)
@@ -0,0 +1,99 @@
+#autre_content
+{
+width:100%;
+padding:0;
+margin:0;
+}
+#content
+{
+margin-left: auto;
+margin-bottom:1em;
+width:100%;
+border:none;
+  }
+#the_page
+{
+width:100%;
+border:none;
+  }
+body {
+min-width: inherit;
+width:100%;
+}
+#cache
+{
+padding:5px
+}
+#close_button
+{
+	margin-right:10px;
+	margin-left:90%;
+}
+#table_content
+{
+	padding:15px;
+}
+#section_up
+{
+	padding-top:5px;
+	text-align:right;
+}
+#section_up A
+{
+	text-decoration:none;
+	border:none;
+}
+/* backgrounds */
+#autre_content, #content, .content
+{
+	background:none;
+}
+#section_up_right{
+ background-image: url(images/content_top_right.jpg);
+ background-repeat:no-repeat;
+ background-position:bottom;
+ width:22px;
+ height:14px;
+}
+#section_up_left{
+ background-image: url(images/content_top_left.jpg);
+  background-position:bottom;
+  background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+#section_up{
+ background-image: url(images/content_top_backg.jpg);
+   background-position:bottom;
+   background-repeat: repeat-x;
+   height:14px;
+}
+
+#section_in, #section_right, #section_left {
+	background-image: url(images/content_backg.jpg)!important;
+	background-repeat:repeat-x;
+	background-position:top;
+	background-color:#c4cbd3;
+}
+
+#section_bottom_right{
+ background-image: url(images/content_bottom_right.jpg);
+ background-position:top;
+ background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+#section_bottom_left{
+ background-image: url(images/content_bottom_left.jpg);
+ background-position:top;
+ background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+#section_bottom{
+ background-image: url(images/content_bottom_backg.jpg);
+ background-position:top;
+   background-repeat: repeat-x;
+  height:14px;
+}
+
Index: extensions/music_player/template/style/floPure/grey_light/lecteur.css
===================================================================
--- extensions/music_player/template/style/floPure/grey_light/lecteur.css	(revision 3508)
+++ extensions/music_player/template/style/floPure/grey_light/lecteur.css	(revision 3508)
@@ -0,0 +1,55 @@
+#autre_content
+{
+width:100%;
+padding:0;
+margin:0;
+}
+#content
+{
+margin-left: auto;
+margin-bottom:1em;
+width:100%;
+border:none;
+  }
+#the_page
+{
+width:100%;
+border:none;
+  }
+body {
+min-width: inherit;
+width:100%;
+}
+#cache
+{
+padding:5px
+}
+#close_button
+{
+	display:block;
+	float:right;
+}
+#table_content
+{
+	padding:15px;
+}
+#section_up
+{
+	padding-top:5px;
+	text-align:right;
+}
+#section_up A
+{
+	text-decoration:none;
+	border:none;
+}
+#copyright {
+margin-left:5%;
+margin-right:5%;
+}
+
+/* backgrounds */
+#autre_content, #content, .content
+{
+	background:none;
+}
Index: extensions/music_player/template/style/floPure/tr_clear_blue/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/floPure/tr_clear_blue/lecteur.conf.php	(revision 3508)
+++ extensions/music_player/template/style/floPure/tr_clear_blue/lecteur.conf.php	(revision 3508)
@@ -0,0 +1,5 @@
+<?php
+$BACK_COLOR='0xcad8e1';
+$FRONT_COLOR='0x000000';
+$LIGHT_COLOR='0xedf2f2';
+?>
Index: extensions/music_player/template/style/floPure/tr_clear_blue/lecteur.css
===================================================================
--- extensions/music_player/template/style/floPure/tr_clear_blue/lecteur.css	(revision 3508)
+++ extensions/music_player/template/style/floPure/tr_clear_blue/lecteur.css	(revision 3508)
@@ -0,0 +1,99 @@
+#autre_content
+{
+width:100%;
+padding:0;
+margin:0;
+}
+#content
+{
+margin-left: auto;
+margin-bottom:1em;
+width:100%;
+border:none;
+  }
+#the_page
+{
+width:100%;
+border:none;
+  }
+body {
+min-width: inherit;
+width:100%;
+}
+#cache
+{
+padding:5px
+}
+#close_button
+{
+	margin-right:10px;
+	margin-left:90%;
+}
+#table_content
+{
+	padding:15px;
+}
+#section_up
+{
+	padding-top:5px;
+	text-align:right;
+}
+#section_up A
+{
+	text-decoration:none;
+	border:none;
+}
+/* backgrounds */
+#autre_content, #content, .content
+{
+	background:none;
+}
+#section_up_right{
+ background-image: url(images/content_top_right.png);
+ background-repeat:no-repeat;
+ background-position:left bottom;
+ width:22px;
+ height:14px;
+}
+#section_up_left{
+ background-image: url(images/content_top_left.png);
+  background-position:right bottom;
+  background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+#section_up{
+ background-image: url(images/content_top_backg.jpg);
+   background-position:bottom;
+   background-repeat: repeat-x;
+   height:14px;
+}
+
+#section_in, #section_right, #section_left {
+	background-image: url(images/content_backg.jpg)!important;
+	background-repeat:repeat-x;
+	background-position:top;
+	background-color:#c4cbd3;
+}
+
+#section_bottom_right{
+ background-image: url(images/content_bottom_right.png);
+ background-position:left top;
+ background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+#section_bottom_left{
+ background-image: url(images/content_bottom_left.png);
+ background-position:right top;
+ background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+#section_bottom{
+ background-image: url(images/content_bottom_backg.jpg);
+ background-position:top;
+   background-repeat: repeat-x;
+  height:14px;
+}
+
Index: extensions/music_player/template/style/floPure/tr_green_nature/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/floPure/tr_green_nature/lecteur.conf.php	(revision 3508)
+++ extensions/music_player/template/style/floPure/tr_green_nature/lecteur.conf.php	(revision 3508)
@@ -0,0 +1,5 @@
+<?php
+$BACK_COLOR='0x3f540f';
+$FRONT_COLOR='0xffffff';
+$LIGHT_COLOR='0xedf2f2';
+?>
Index: extensions/music_player/template/style/floPure/tr_green_nature/lecteur.css
===================================================================
--- extensions/music_player/template/style/floPure/tr_green_nature/lecteur.css	(revision 3508)
+++ extensions/music_player/template/style/floPure/tr_green_nature/lecteur.css	(revision 3508)
@@ -0,0 +1,104 @@
+#autre_content
+{
+width:100%;
+padding:0;
+margin:0;
+}
+#content
+{
+margin-left: auto;
+margin-bottom:1em;
+width:100%;
+border:none;
+  }
+#the_page
+{
+width:100%;
+border:none;
+  }
+body {
+min-width: inherit;
+width:100%;
+}
+#cache
+{
+padding:5px
+}
+#close_button
+{
+	display:block;
+	float:right;
+}
+#table_content
+{
+	padding:15px;
+}
+#section_up
+{
+	padding-top:5px;
+	text-align:right;
+}
+#section_up A
+{
+	text-decoration:none;
+	border:none;
+}
+#copyright {
+margin-left:5%;
+margin-right:5%;
+}
+
+/* backgrounds */
+#autre_content, #content, .content
+{
+	background:none;
+}
+#section_up_right{
+ background-image: url(images/content_top_right.png);
+ background-repeat:no-repeat;
+ background-position:left bottom;
+ width:22px;
+ height:14px;
+}
+#section_up_left{
+ background-image: url(images/content_top_left.png);
+  background-position:right bottom;
+  background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+#section_up{
+ background-image: url(images/content_top_backg.jpg);
+   background-position:bottom;
+   background-repeat: repeat-x;
+   height:14px;
+}
+
+#section_in, #section_right, #section_left {
+	background-image: url(images/content_backg.jpg)!important;
+	background-repeat:repeat-x;
+	background-position:top;
+	background-color:#c4cbd3;
+}
+
+#section_bottom_right{
+ background-image: url(images/content_bottom_right.png);
+ background-position:left top;
+ background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+#section_bottom_left{
+ background-image: url(images/content_bottom_left.png);
+ background-position:right top;
+ background-repeat:no-repeat;
+ width:22px;
+ height:14px;
+}
+#section_bottom{
+ background-image: url(images/content_bottom_backg.png);
+ background-position:top;
+   background-repeat: repeat-x;
+  height:14px;
+}
+
Index: extensions/music_player/template/style/lecteur.css
===================================================================
--- extensions/music_player/template/style/lecteur.css	(revision 3507)
+++ extensions/music_player/template/style/lecteur.css	(revision 3508)
@@ -4,4 +4,5 @@
 padding:0;
 margin:0;
+text-align:left;
   }
 #content
@@ -20,4 +21,5 @@
 min-width: inherit;
 width:100%;
+padding:10px;
 }
 #cache