Index: trunk/admin/maintenance.php
===================================================================
--- trunk/admin/maintenance.php	(revision 3514)
+++ trunk/admin/maintenance.php	(revision 3517)
@@ -101,4 +101,13 @@
     break;
   }
+  case 'search' :
+  {
+    $query = '
+DELETE
+  FROM '.SEARCH_TABLE.'
+;';
+    pwg_query($query);
+    break;
+  }
   case 'compiled-templates' :
   {
Index: trunk/admin/template/goto/maintenance.tpl
===================================================================
--- trunk/admin/template/goto/maintenance.tpl	(revision 3514)
+++ trunk/admin/template/goto/maintenance.tpl	(revision 3517)
@@ -14,4 +14,5 @@
   <li><a href="{$U_MAINT_SESSIONS}" {$TAG_INPUT_ENABLED}>{'purge sessions'|@translate}</a></li>
   <li><a href="{$U_MAINT_FEEDS}" {$TAG_INPUT_ENABLED}>{'purge never used notification feeds'|@translate}</a></li>
+  <li><a href="{$U_MAINT_SEARCH}"onclick="return confirm('{'Are you sure?'|@translate}');" {$TAG_INPUT_ENABLED}>{'Purge search history'|@translate}</a></li>
   <li><a href="{$U_MAINT_COMPILED_TEMPLATES}" {$TAG_INPUT_ENABLED}>{'Purge compiled templates'|@translate}</a></li>
 </ul>
Index: trunk/language/de_DE/admin.lang.php
===================================================================
--- trunk/language/de_DE/admin.lang.php	(revision 3514)
+++ trunk/language/de_DE/admin.lang.php	(revision 3517)
@@ -648,3 +648,4 @@
 /* TODO */ $lang['Number of downloads'] = 'Number of downloads';
 // --------- Starting below: New or revised $lang ---- from Colibri (2.1)
+/*TODO*/$lang['Purge search history'] = 'Purge search history';
 ?>
Index: trunk/language/en_UK/admin.lang.php
===================================================================
--- trunk/language/en_UK/admin.lang.php	(revision 3514)
+++ trunk/language/en_UK/admin.lang.php	(revision 3517)
@@ -653,3 +653,4 @@
 $lang['Subscribe %s'] = 'Subscribe %s';
 $lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Subscribe %s to Piwigo Announcements Newsletter';
+$lang['Purge search history'] = 'Purge search history';
 ?>
Index: trunk/language/es_ES/admin.lang.php
===================================================================
--- trunk/language/es_ES/admin.lang.php	(revision 3514)
+++ trunk/language/es_ES/admin.lang.php	(revision 3517)
@@ -646,3 +646,4 @@
 $lang['Number of downloads'] = 'Número de descargar';
 // --------- Starting below: New or revised $lang ---- from Colibri (2.1)
+/*TODO*/$lang['Purge search history'] = 'Purge search history';
 ?>
Index: trunk/language/fr_FR/admin.lang.php
===================================================================
--- trunk/language/fr_FR/admin.lang.php	(revision 3514)
+++ trunk/language/fr_FR/admin.lang.php	(revision 3517)
@@ -656,4 +656,4 @@
 $lang['Subscribe %s'] = 'Abonner %s';
 $lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Abonner %s à la newsletter Piwigo';
-
+$lang['Purge search history'] = 'Purger l\'historique des recherches';
 ?>
Index: trunk/language/it_IT/admin.lang.php
===================================================================
--- trunk/language/it_IT/admin.lang.php	(revision 3514)
+++ trunk/language/it_IT/admin.lang.php	(revision 3517)
@@ -652,4 +652,4 @@
 $lang['Subscribe %s'] = 'Abbonare %s';
 $lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Abbonare %s alla newsletter Piwigo';
-
+/*TODO*/$lang['Purge search history'] = 'Purge search history';
 ?>
Index: trunk/language/nl_NL/admin.lang.php
===================================================================
--- trunk/language/nl_NL/admin.lang.php	(revision 3514)
+++ trunk/language/nl_NL/admin.lang.php	(revision 3517)
@@ -644,3 +644,4 @@
 /* TODO */ $lang['Number of downloads'] = 'Number of downloads';
 // --------- Starting below: New or revised $lang ---- from Colibri (2.1)
+/*TODO*/$lang['Purge search history'] = 'Purge search history';
 ?>
Index: trunk/language/pl_PL/admin.lang.php
===================================================================
--- trunk/language/pl_PL/admin.lang.php	(revision 3514)
+++ trunk/language/pl_PL/admin.lang.php	(revision 3517)
@@ -649,3 +649,4 @@
 /* TODO */ $lang['Number of downloads'] = 'Number of downloads';
 // --------- Starting below: New or revised $lang ---- from Colibri (2.1)
+/*TODO*/$lang['Purge search history'] = 'Purge search history';
 ?>