Index: /branches/2.0/language/es_ES/admin.lang.php
===================================================================
--- /branches/2.0/language/es_ES/admin.lang.php	(revision 3517)
+++ /branches/2.0/language/es_ES/admin.lang.php	(revision 3518)
@@ -646,8 +646,8 @@
 $lang['Number of downloads'] = 'Número de descargar';
 // --------- Starting below: New or revised $lang ---- from Colibri
-/*TODO*/$lang['Piwigo Announcements Newsletter'] = 'Piwigo Announcements Newsletter';
-/*TODO*/$lang['Subscribe to Piwigo Announcements Newsletter'] = 'Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.';
-/*TODO*/$lang['Subscribe %s'] = 'Subscribe %s';
-/*TODO*/$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Subscribe %s to Piwigo English Announcements Newsletter';
-/*TODO*/$lang['Purge search history'] = 'Purge search history';
+$lang['Piwigo Announcements Newsletter'] = 'Newsletter Piwigo';
+$lang['Subscribe to Piwigo Announcements Newsletter'] = 'Quédese en contacto con proyecto Piwigo, abónese a la newsletter. Usted recibirá un e-mail cuando una nueva versión estará disponible (a veces un bug de seguridad es corregido, es importante estar al tanto y poner al día) o que un acontecimiento superior sobrevendrá sobre el proyecto. Solamente algunos mensajes al año.';
+$lang['Subscribe %s'] = 'Abonar a la newsletter inglesa %s';
+$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Abonar %s a la newsletter Piwigo';
+$lang['Purge search history'] = 'Purgar la reseña histórica de las búsquedas';
 ?>
Index: /branches/2.0/language/es_ES/common.lang.php
===================================================================
--- /branches/2.0/language/es_ES/common.lang.php	(revision 3517)
+++ /branches/2.0/language/es_ES/common.lang.php	(revision 3518)
@@ -34,11 +34,11 @@
 $lang['%d categories updated'] = '%d Actualización categorías';
 $lang['%d comment to validate'] = '%d Comentario usuario que hay que validar';
-$lang['%d comments to validate'] = '%d Validar comentarios del usuario';
+$lang['%d comments to validate'] = '%d comentarios de usuario que hay que validar';
 $lang['%d new comment'] = '%d Nuevo comentario usuario';
 $lang['%d new comments'] = '%d nuevos comentarios del usuario';
 $lang['%d comment'] = '%d Comentario';
 $lang['%d comments'] = '%d Comentarios';
-$lang['%d hit'] = 'Vista  %d Veces';
-$lang['%d hits'] = 'Vista  %d Veces';
+$lang['%d hit'] = '%d imágenes';
+$lang['%d hits'] = '%d vez';
 $lang['%d new element'] = '%d nuevo elemento';
 $lang['%d new elements'] = '%d nuevos Elementos';
@@ -48,11 +48,11 @@
 $lang['%d waiting elements'] = '%d elementos en espera';
 $lang['About'] = 'Acerca de';
-$lang['All tags must match'] = 'Todos los tags deben corresponder';
+$lang['All tags must match'] = 'Todos los tags deben coincidir';
 $lang['All tags'] = 'Todos los tags';
 $lang['Any tag'] = 'Cualquier tag';
-$lang['At least one listed rule must be satisfied.'] = 'Por lo menos una regla enumerada debe ser correcta.';
-$lang['At least one tag must match'] = 'Por lo menos uno de los tags debe corresponder';
+$lang['At least one listed rule must be satisfied.'] = 'Debe elegir al menos una de las reglas que se listan.';
+$lang['At least one tag must match'] = 'Debe coincidir al menos una de las etiquetas';
 $lang['Author'] = 'Autor';
-$lang['Average rate'] = 'Nota media';
+$lang['Average rate'] = 'Valoración promedio';
 $lang['Categories'] = 'Categorías';
 $lang['Category'] = 'Categoría';
@@ -60,6 +60,6 @@
 $lang['Complete RSS feed'] = 'Flujo RSS completo (imágenes, comentarios)';
 $lang['Confirm Password'] = 'Confirmar la contraseña';
-$lang['Connection settings'] = 'Parámetros de la conexión';
-$lang['Connection'] = 'Conexión';
+$lang['Connection settings'] = 'Datos de conexión';
+$lang['Connection'] = 'Identificarse';
 $lang['Contact webmaster'] = 'Contactar el webmastre';
 $lang['Create a new account'] = 'Crear una nueva cuenta';
@@ -69,8 +69,8 @@
 $lang['Dimensions'] = 'Dimensiones';
 $lang['Display'] = 'Monstrar';
-$lang['Each listed rule must be satisfied.'] = 'Cada regla mencionada debe ser correcta';
+$lang['Each listed rule must be satisfied.'] = 'Debe cumplimentar cada una de las reglas';
 $lang['Email address is missing'] = 'Falta su dirección electrónica';
 $lang['Email address'] = 'Dirección electrónica';
-$lang['Enter your personnal informations'] = 'Sus datos personales';
+$lang['Enter your personnal informations'] = 'Cumplimente sus datos personales';
 $lang['Error sending email'] = 'Error de envío';
 $lang['File name'] = 'Nombre del fichero';
@@ -79,9 +79,9 @@
 $lang['Filter and display'] = 'Filtrar y mostrar';
 $lang['Filter'] = 'Filtro';
-$lang['Forgot your password?'] = 'Contraseña olvidada ?';
+$lang['Forgot your password?'] = '¿Olvidó su contraseña?';
 $lang['Go through the gallery as a visitor'] = 'Recorrer la galería como visitante';
 $lang['Help'] = 'Ayuda';
 $lang['Identification'] = 'Identificación';
-$lang['Image only RSS feed'] = 'Flujo RSS de las imágenes';
+$lang['Image only RSS feed'] = 'Contenido RSS: sólo imagen';
 $lang['Keyword'] = 'Palabra clave';
 $lang['Links'] = 'Enlaces';
@@ -89,9 +89,9 @@
 $lang['N/A'] = 'no disponible';
 $lang['New on %s'] = 'Nuevo el %s';
-$lang['New password confirmation does not correspond'] = 'La nueva confirmación de la contraseña no corresponde';
+$lang['New password confirmation does not correspond'] = 'Los valores de la contraseña no coinciden';
 $lang['New password sent by email'] = 'Nueva contraseña enviada por correo electrónico';
 $lang['No email address'] = 'Ninguna dirección electrónica';
-$lang['No user matches this email address'] = 'Esta dirección electrónica no corresponde a ningún usuario';
-$lang['Notification'] = 'Notificación';
+$lang['No user matches this email address'] = 'Falta cumplimentar la electrónica no corresponde a ningún usuario';
+$lang['Notification'] = 'Notificación RSS';
 $lang['Number of items'] = 'Número de artículos';
 $lang['Original dimensions'] = 'Dimensiones originales';
@@ -103,5 +103,5 @@
 $lang['Quick connect'] = 'Conexión rápida';
 $lang['RSS feed'] = 'flux RSS';
-$lang['Rate'] = 'Nota';
+$lang['Rate'] = 'Valoración';
 $lang['Register'] = 'Regístrese';
 $lang['Registration'] = 'Registro';
@@ -111,5 +111,5 @@
 $lang['Search rules'] = 'Criterios de búsqueda';
 $lang['Search tags'] = 'Buscar tags';
-$lang['Search'] = 'Buscar';
+$lang['Search'] = 'Búsqueda avanzada';
 $lang['See available tags'] = 'Ver los tags disponibles';
 $lang['Send new password'] = 'Enviar una nueva contraseña';
@@ -119,6 +119,6 @@
 $lang['Tag'] = 'Tag';
 $lang['Tags'] = 'Tags';
-$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'El flujo RSS notifica los eventos de la galería : nuevas imágenes, categorías actualizadas, nuevos comentarios del usuario. Lo debe utilizar con un lector de flujo RSS.';
-$lang['Unknown feed identifier'] = 'Identificador del flujo RSS desconocido';
+$lang['Mediante RSS puede recibir notificación de los cambios que tienen lugar en la galería: nuevas imágenes, categorías, etc. Para suscribirse, haga clic en uno de los siguientes enlaces.';
+$lang['Unknown feed identifier'] = 'Identificador de RSS desconocido';
 $lang['User comments'] = 'Comentarios del usuario';
 $lang['Username'] = 'Nombre del usuario';
@@ -127,36 +127,36 @@
 $lang['Week %d'] = 'Semana %d';
 $lang['about_page_title'] = 'Acerca de Piwigo';
-$lang['access_forbiden'] = 'Usted no esta autorizado a ver la pagina pedida';
-$lang['add to caddie'] = 'Agregar al carrito';
-$lang['add_favorites_hint'] = 'agregar esta imagen en sus favoritos';
+$lang['access_forbiden'] = 'No dispone de autorización para ver la página solicitada';
+$lang['add to caddie'] = 'Agregar a la cesta';
+$lang['add_favorites_hint'] = 'Agregar a los favoritos';
 $lang['admin'] = 'Administración';
-$lang['adviser_mode_enabled'] = 'Modo consejero activo';
+$lang['adviser_mode_enabled'] = 'Modo de recomendaciones activo';
 $lang['all'] = 'todo';
 $lang['ascending'] = 'ascendiente';
 $lang['author(s) : %s'] = 'autor(es) : %s';
-$lang['auto_expand'] = 'Desarrollar todas las categorías';
-$lang['became available after %s (%s)'] = 'puesto a disposición del %s (%s)';
-$lang['became available before %s (%s)'] = 'puesto a disposición después %s (%s)';
-$lang['became available between %s (%s) and %s (%s)'] = 'puesto a disposición entre él %s (%s) y el %s (%s)';
+$lang['auto_expand'] = 'Expandir todas las categorías';
+$lang['became available after %s (%s)'] = 'disponible con posterioridad al %s (%s)';
+$lang['became available before %s (%s)'] = 'disponible antes del %s (%s)';
+$lang['became available between %s (%s) and %s (%s)'] = 'disponible entre él %s (%s) y el %s (%s)';
 $lang['became available on %s'] = 'disponible el %s';
-$lang['best_rated_cat'] = 'Mejores notas';
-$lang['best_rated_cat_hint'] = 'mostrar las imagenes con las mejores notas';
+$lang['best_rated_cat'] = 'Mejor valoradas';
+$lang['best_rated_cat_hint'] = 'mostrar las imagenes mejor valoradas';
 $lang['caddie'] = 'Carrito';
 $lang['calendar'] = 'Calendario';
 $lang['calendar_any'] = 'Todo';
-$lang['calendar_hint'] = 'Mostrar año por año, mes por mes, día por día';
-$lang['calendar_picture_hint'] = 'Mostrar las imágenes desde ';
+$lang['calendar_hint'] = 'Muestra cada día con imágenes, mes a mes';
+$lang['calendar_picture_hint'] = 'Mostrar las imágenes añadidas el';
 $lang['calendar_view'] = 'Vista';
 $lang['chronology_monthly_calendar'] = 'Calendario mensual';
 $lang['chronology_monthly_list'] = 'Lista mensual';
 $lang['chronology_weekly_list'] = 'Lista semanal';
-$lang['click_to_redirect'] = 'Pulse aquí si su navegador no lo envía a la página requerida.';
-$lang['comment date'] = 'Fecha del comentario';
+$lang['click_to_redirect'] = 'Pulse aquí si su navegador no le reenvía a la página solicitada.';
+$lang['comment date'] = 'Fecha de comentario';
 $lang['comment'] = 'Comentario';
-$lang['comment_added'] = 'Su comentario ha sido inscripto';
-$lang['comment_anti-flood'] = 'Systema anti-abuso : gracias de esperar antes de agregar un nuevo comentario';
-$lang['comment_not_added'] = 'Su comentario no ha sido registrado porque no verifica las reglas de validación';
-$lang['comment_to_validate'] = 'El administrador debe activar su comentario para que sea visible.';
-$lang['comment_user_exists'] = 'Este nombre de usuario ya existe, pruebe otro';
+$lang['comment_added'] = 'Su comentario ha sido añadido';
+$lang['comment_anti-flood'] = 'Systema anti-abuso : por favor, aguarde unos momentos antes de agregar un nuevo comentario';
+$lang['comment_not_added'] = 'Su comentario no ha sido registrado porque no ha superado las reglas de validación';
+$lang['comment_to_validate'] = 'El administrador debe validar su comentario antes de que sea visible.';
+$lang['comment_user_exists'] = 'Este nombre de usuario ya ha sido registrado con anterioridad, por favor inténtelo con otro';
 $lang['comments'] = 'Comentarios';
 $lang['comments_add'] = 'Agregar comentario';
@@ -175,7 +175,7 @@
 $lang['day'][6] = 'Sábado';
 $lang['default_sort'] = 'Por defecto';
-$lang['del_favorites_hint'] = 'borrar esta imágen de sus favoritos';
+$lang['del_favorites_hint'] = 'Eliminar favoritos';
 $lang['delete'] = 'Suprimir';
-$lang['descending'] = 'Descendiente';
+$lang['descending'] = 'descendente';
 $lang['download'] = 'descargar';
 $lang['download_hint'] = 'descargar este fichero';
@@ -186,13 +186,13 @@
 $lang['favorite_cat_hint'] = 'Mostrar mis imágenes favoritas';
 $lang['favorites'] = 'Favoritas';
-$lang['first_page'] = 'Primera';
-$lang['gallery_locked_message'] = 'La galería esta en manutención. Vuelva más tarde.';
+$lang['first_page'] = 'Primera página';
+$lang['gallery_locked_message'] = 'Se están realizando operaciones de mantenimiento, regrese más tarde.';
 $lang['generation_time'] = 'Página generada en';
 $lang['guest'] = 'Visitante';
 $lang['hello'] = 'Hola';
-$lang['hint_admin'] = 'disponible solamente para los administradores';
-$lang['hint_category'] = 'mostrar las imágenes a la raíces de esta categoría';
+$lang['hint_admin'] = 'disponible sólo para los administradores';
+$lang['hint_category'] = 'muestra las imágenes  en el directorio raíz de esta categoría';
 $lang['hint_comments'] = 'Ver los últimos comentarios de los usuarios';
-$lang['hint_customize'] = 'personalizar aspecto de la galería';
+$lang['hint_customize'] = 'personalizar el aspecto de la galería';
 $lang['hint_search'] = 'Buscar';
 $lang['home'] = 'Inicio';
@@ -203,18 +203,18 @@
 $lang['included'] = 'incluidos';
 $lang['invalid_pwd'] = 'Contraseña incorrecta !';
-$lang['language'] = 'Lengua';
+$lang['language'] = 'Idioma';
 $lang['last %d days'] = '%d últimos días';
-$lang['last_page'] = 'Último';
+$lang['last_page'] = 'Última página';
 $lang['logout'] = 'Desconexión';
 $lang['mail_address'] = $lang['Email address'];
 $lang['mandatory'] = 'obligatorio';
 $lang['maxheight'] = 'Altura máxima de las imágenes';
-$lang['maxheight_error'] = 'La altura máxima de las imágenes no debe ser superiora 50';
-$lang['maxwidth'] = 'Ancho máximo de las imágenes';
-$lang['maxwidth_error'] = 'El ancho máximo de las imágenes no debe ser superior à 50';
-$lang['mode_created_hint'] = 'mostrar el calendario por fecha de creación';
-$lang['mode_flat_hint'] = 'Fijar a plato los elementos de las categorías y de las subcategorías';
-$lang['mode_normal_hint'] = 'vuelve a la vista normal';
-$lang['mode_posted_hint'] = 'mostrar el calendario por fecha de agregación';
+$lang['maxheight_error'] = 'La altura máxima de las imágenes no debe ser superioror a 50';
+$lang['maxwidth'] = 'Anchura máxima de las imágenes';
+$lang['maxwidth_error'] = 'El ancho máximo de las imágenes no debe ser superior a 50';
+$lang['mode_created_hint'] = 'Mostrar las imágenes en un calendario por fecha de creación';
+$lang['mode_flat_hint'] = 'Mostrar todos los elementos de todas las categorías';
+$lang['mode_normal_hint'] = 'Volver a la vista normal';
+$lang['mode_posted_hint'] = 'Mostrar las imágenes en un calendario por fecha de agregación';
 $lang['month'][10] = 'Octubre';
 $lang['month'][11] = 'Noviembre';
@@ -231,38 +231,38 @@
 $lang['most_visited_cat'] = 'Imágenes más vistas';
 $lang['most_visited_cat_hint'] = 'mostrar las imágenes más vistas';
-$lang['nb_image_line_error'] = 'La cantidad de imágenes por línea debe ser un número entero no nulo';
-$lang['nb_image_per_row'] = 'Cantidad de miniaturas por línea';
-$lang['nb_line_page_error'] = 'La cantidad de líneas por pagina debe ser un numero entero no nulo';
-$lang['nb_row_per_page'] = 'Cantidad de líneas por pagina';
-$lang['nbm_unknown_identifier'] = 'Usuario desconocido';
+$lang['nb_image_line_error'] = 'El número de imágenes por línea debe ser un número entero no nulo';
+$lang['nb_image_per_row'] = 'Número de miniaturas por línea';
+$lang['nb_line_page_error'] = 'El número de líneas por página debe ser un numero entero no nulo';
+$lang['nb_row_per_page'] = 'Número de líneas por pagina';
+$lang['nbm_unknown_identifier'] = 'Identificador desconocido';
 $lang['new_password'] = 'Nueva contraseña';
-$lang['new_rate'] = 'Vote por esta imagen';
-$lang['next_page'] = 'Siguiente';
+$lang['new_rate'] = 'De una calificación a esta imagen';
+$lang['next_page'] = 'Página siguiente';
 $lang['no_category'] = 'Inicio';
-$lang['no_rate'] = 'sin nota';
-$lang['note_filter_day'] = 'El conjunto de los elementos es filtrado para fijar sólo los elementos recientes por lo menos de %d dia.';
-$lang['note_filter_days'] = 'El conjunto de los elementos es filtrado para fijar sólo los elementos recientes de menos de %d dias.';
+$lang['no_rate'] = 'no valorada';
+$lang['note_filter_day'] = 'Sólo muestra las imágenes incorporadas desde el día %d .';
+$lang['note_filter_days'] = 'Sólo muestra las imágenes incorporadas desde los últimos %d dias.';
 $lang['password updated'] = 'contraseña actualizada';
-$lang['periods_error'] = 'El período de novedad debe ser un numero entero positivo';
+$lang['periods_error'] = 'El período debe ser un número entero positivo';
 $lang['picture'] = 'imagen';
-$lang['picture_high'] = 'Pulse sobre la imagen para ver en alta resolución';
-$lang['picture_show_metadata'] = 'Muestre los meta-datos del fichero';
+$lang['picture_high'] = 'Hacer clic sobre la imagen para verla en alta resolución';
+$lang['picture_show_metadata'] = 'Mostrar los meta-datos del fichero';
 $lang['powered_by'] = 'Distribuido por';
 $lang['preferences'] = 'Preferencias';
-$lang['previous_page'] = 'Precedente';
-$lang['random_cat'] = 'Imágenes aleatorias';
+$lang['previous_page'] = 'Página anterior';
+$lang['random_cat'] = 'Selección aleatoria';
 $lang['random_cat_hint'] = 'mostrar un grupo aleatorio de imágenes';
 $lang['recent_cats_cat'] = 'Últimas categorías';
 $lang['recent_cats_cat_hint'] = 'mostrar las categorías recientement actualizadas o creadas';
-$lang['recent_period'] = 'Período reciente';
-$lang['recent_pics_cat'] = 'Últimas imágenes';
-$lang['recent_pics_cat_hint'] = 'Mostrar las imágenes más recientes';
+$lang['recent_period'] = 'Número de imágenes recientes';
+$lang['recent_pics_cat'] = 'Últimas imágenes añadidas';
+$lang['recent_pics_cat_hint'] = 'Mostrar las imágenes añadidas recientemente';
 $lang['redirect_msg'] = 'Redirección...';
-$lang['reg_err_login1'] = 'Por favor, ponga un nombre de usuario';
+$lang['reg_err_login1'] = 'Por favor, indique un nombre de usuario';
 $lang['reg_err_login2'] = 'el nombre de usuario no debe terminar por un espacio';
 $lang['reg_err_login3'] = 'el nombre de usuario no debe empezar por un espacio';
-$lang['reg_err_login5'] = 'Este nombre de usuario ya está utilizado';
-$lang['reg_err_mail_address'] = 'Su dirección electrónica debe ser del formato xxx@yyy.eee (ejemplo : jack@altern.org)';
-$lang['reg_err_pass'] = 'Por favor, escriba nuevamente su contraseña';
+$lang['reg_err_login5'] = 'Este nombre de usuario ya ha sido escogido con anterioridad';
+$lang['reg_err_mail_address'] = 'El formato de la dirección e-mail debe ser xxx@yyy.eee (ejemplo: jack@altern.org)';
+$lang['reg_err_pass'] = 'Por favor, escriba de nuevo su contraseña';
 $lang['remember_me'] = 'Conexión automática';
 $lang['remove this tag'] = 'quitar este tag de la lista';
@@ -270,5 +270,5 @@
 $lang['return to homepage'] = 'Volver a la página de inicio';
 $lang['search_author'] = 'Buscar por autor';
-$lang['search_categories'] = 'Buscar bajo categorías';
+$lang['search_categories'] = 'Buscar por categorías';
 $lang['search_date'] = 'Buscar por fecha';
 $lang['search_date_from'] = 'Fecha';
@@ -283,15 +283,15 @@
 $lang['search_subcats_included'] = 'Buscar en las subcategorías';
 $lang['search_title'] = 'Búsqueda';
-$lang['searched words : %s'] = 'buscar palabras : %s';
+$lang['searched words : %s'] = 'Palabras de búsqueda : %s';
 $lang['send_mail'] = 'Contactar';
-$lang['set as category representative'] = 'elegir como representante de esta categoría';
-$lang['show_nb_comments'] = 'Mostrar la cantidad de comentarios';
+$lang['set as category representative'] = 'elegir para representar esta categoría';
+$lang['show_nb_comments'] = 'Mostrar el número de comentarios';
 $lang['show_nb_hits'] = 'Mostrar el número de visualizaciones';
-$lang['slideshow'] = 'diaporama';
-$lang['slideshow_stop'] = 'parar el diaporama';
+$lang['slideshow'] = 'Diaporama';
+$lang['slideshow_stop'] = 'Detener el diaporama';
 $lang['special_categories'] = 'Herramientas';
-$lang['sql_queries_in'] = 'pedidos SQL en';
-$lang['start_filter_hint'] = 'Fijar sólo los elementos recientes';
-$lang['stop_filter_hint'] = 'Regresar a la fijación de todos los elementos';
+$lang['sql_queries_in'] = 'búsquedas SQL en';
+$lang['start_filter_hint'] = 'Seleccionar sólo los elementos incorporados recientemente';
+$lang['stop_filter_hint'] = 'Volver a mostrar todos los elementos';
 $lang['the beginning'] = 'el principio';
 $lang['theme'] = 'Tema';
@@ -300,32 +300,32 @@
 $lang['title_send_mail'] = 'Una opinión sobre esta pagina';
 $lang['today'] = 'hoy';
-$lang['update_rate'] = 'Actualizar nota';
-$lang['update_wrong_dirname'] = 'Mal nombre de repertorio';
-$lang['upload_advise_filesize'] = 'El peso de la imagen debe sobrepasar : ';
-$lang['upload_advise_filetype'] = 'El tamaño de la imagen debe ser jpg, png ou gif';
-$lang['upload_advise_height'] = 'La altura de la imagen no debe sobrepasar : ';
-$lang['upload_advise_thumbnail'] = 'Opcional, pero recomendado: escoger una miniatura que hay que asociar ';
-$lang['upload_advise_width'] = 'La anchura de la imagen no debe sobrepasar : ';
+$lang['update_rate'] = 'Actualizar la valoración';
+$lang['update_wrong_dirname'] = 'Nombre de directorio incorrecto';
+$lang['upload_advise_filesize'] = 'El tamaño de la imagen no debe sobrepasar los: ';
+$lang['upload_advise_filetype'] = 'El tipo de archivo de la imagen debe ser jpg, png o gif';
+$lang['upload_advise_height'] = 'La altura de la imagen no debe sobrepasar los: ';
+$lang['upload_advise_thumbnail'] = 'Opcional, pero recomendado: escoger una miniatura para asociar ';
+$lang['upload_advise_width'] = 'La anchura de la imagen no debe sobrepasar los: ';
 $lang['upload_author'] = 'Autor';
 $lang['upload_cannot_upload'] = 'Imposible trasladar el fichero sobre el camarero(servidor)';
-$lang['upload_err_username'] = 'Falta el nombre de usuario';
-$lang['upload_file_exists'] = 'este fichero ya existe';
-$lang['upload_filenotfound'] = 'el formato del fichero no es valido';
-$lang['upload_forbidden'] = 'imposible de agregar la imagen en esta categoría';
+$lang['upload_err_username'] = 'Indique el nombre de usuario';
+$lang['upload_file_exists'] = 'Ya existe otra imagen con el mismo nombre';
+$lang['upload_filenotfound'] = 'Indique el formato de archivo de la imagen';
+$lang['upload_forbidden'] = 'No es posible agregar la imagen en esta categoría';
 $lang['upload_name'] = 'Nombre de la imagen';
 $lang['upload_picture'] = 'Agregar una imagen';
-$lang['upload_successful'] = 'Imagen agregada , un administrador la debe controlar para que esta sea visible';
+$lang['upload_successful'] = 'Imagen agregada; podrá visualizarse una vez la apruebe el administrador';
 $lang['upload_title'] = 'Agregar una imagen';
-$lang['useful when password forgotten'] = 'Útil en caso de perdida de contraseña';
+$lang['useful when password forgotten'] = 'Útil en caso de que olvide la contraseña';
 $lang['qsearch'] = 'Búsqueda rápida';
-$lang['Connected user: %s'] = 'Utilizador conectado: %s';
+$lang['Connected user: %s'] = 'Usuario conectado: %s';
 $lang['IP: %s'] = 'IP: %s';
-$lang['Browser: %s'] = 'Navegante: %s';
+$lang['Browser: %s'] = 'Navegador: %s';
 $lang['Author: %s'] = 'Autor: %s';
 $lang['Comment: %s'] = 'Comentario: %s';
-$lang['Delete: %s'] = 'Supresión: %s';
-$lang['Validate: %s'] = 'Validación: %s';
-$lang['Comment by %s'] = 'Comentario por %s';
-$lang['User: %s'] = 'Utilizador: %s';
+$lang['Delete: %s'] = 'Suprimir: %s';
+$lang['Validate: %s'] = 'Validar: %s';
+$lang['Comment by %s'] = 'Comentario de %s';
+$lang['User: %s'] = 'Usuario: %s';
 $lang['Email: %s'] = 'Email: %s';
 $lang['Admin: %s'] = 'Administración: %s';
@@ -333,14 +333,14 @@
 $lang['Category: %s'] = 'Categoría: %s';
 $lang['Picture name: %s'] = 'Nombre de la imagen: %s';
-$lang['Creation date: %s'] = 'Data de creación: %d';
-$lang['Waiting page: %s'] = 'Página en espera: %s';
+$lang['Creation date: %s'] = 'Fecha de creación: %d';
+$lang['Waiting page: %s'] = 'Página de espera: %s';
 $lang['Picture uploaded by %s'] = 'Imagen cargada por %s';
 // --------- Starting below: New or revised $lang ---- from version 1.7.1
-$lang['guest_must_be_guest'] = 'Estatuto del utilizador " guest " no conforme, la utilización del estatuto por defecto. Por favor, prevenga el webmestre.';
+$lang['guest_must_be_guest'] = 'El estatus del usuario "guest" no es conforme, se utilizará el estatus por defecto. Por favor, informe al administrador del sitio.';
 // --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
-$lang['Administrator, webmaster and special user cannot use this method'] = 'Administrador, webmestre y utilizador especial no pueden utilizar este método';
-$lang['reg_err_mail_address_dbl'] = 'Un utilizador ya utiliza esta dirección e-mail';
-$lang['Category results for'] = 'Los resultados de las categorías para';
-$lang['Tag results for'] = 'Los resultados de los tags para';
+$lang['Administrator, webmaster and special user cannot use this method'] = 'El Administrador, el administrador del sitio y el usuario especial no pueden utilizar este método';
+$lang['reg_err_mail_address_dbl'] = 'Otro usuario ya utiliza esta dirección e-mail';
+$lang['Category results for'] = 'Resultados de las categorías para';
+$lang['Tag results for'] = 'Resultados de las etiquetas para';
 $lang['from %s to %s'] = 'de %s a %s';
 $lang['start_play'] = 'Lectura del diaporama';