Index: /branches/2.0/admin/template/goto/menubar.tpl
===================================================================
--- /branches/2.0/admin/template/goto/menubar.tpl	(revision 3523)
+++ /branches/2.0/admin/template/goto/menubar.tpl	(revision 3524)
@@ -12,5 +12,5 @@
 		<td>{'Name'|@translate}</td>
 		<td>{'Position'|@translate}</td>
-		<td>Hide</td>
+		<td>{'Hide'|@translate}</td>
 	</tr>
 	{foreach from=$blocks item=block name="block_loop"}
Index: /branches/2.0/language/cz_CZ/admin.lang.php
===================================================================
--- /branches/2.0/language/cz_CZ/admin.lang.php	(revision 3523)
+++ /branches/2.0/language/cz_CZ/admin.lang.php	(revision 3524)
@@ -654,3 +654,4 @@
 /*TODO*/$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Subscribe %s to Piwigo English Announcements Newsletter';
 /*TODO*/$lang['Purge search history'] = 'Purge search history';
+/*TODO*/$lang['Hide'] = 'Hide';
 ?>
Index: /branches/2.0/language/de_DE/admin.lang.php
===================================================================
--- /branches/2.0/language/de_DE/admin.lang.php	(revision 3523)
+++ /branches/2.0/language/de_DE/admin.lang.php	(revision 3524)
@@ -653,3 +653,4 @@
 /*TODO*/$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Subscribe %s to Piwigo English Announcements Newsletter';
 /*TODO*/$lang['Purge search history'] = 'Purge search history';
+/*TODO*/$lang['Hide'] = 'Hide';
 ?>
Index: /branches/2.0/language/en_UK/admin.lang.php
===================================================================
--- /branches/2.0/language/en_UK/admin.lang.php	(revision 3523)
+++ /branches/2.0/language/en_UK/admin.lang.php	(revision 3524)
@@ -654,3 +654,4 @@
 $lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Subscribe %s to Piwigo Announcements Newsletter';
 $lang['Purge search history'] = 'Purge search history';
+$lang['Hide'] = 'Hide';
 ?>
Index: /branches/2.0/language/es_ES/admin.lang.php
===================================================================
--- /branches/2.0/language/es_ES/admin.lang.php	(revision 3523)
+++ /branches/2.0/language/es_ES/admin.lang.php	(revision 3524)
@@ -651,3 +651,4 @@
 $lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Abonar %s a la newsletter Piwigo';
 $lang['Purge search history'] = 'Purgar la reseña histórica de las búsquedas';
+$lang['Hide'] = 'Enmascarar';
 ?>
Index: /branches/2.0/language/fr_FR/admin.lang.php
===================================================================
--- /branches/2.0/language/fr_FR/admin.lang.php	(revision 3523)
+++ /branches/2.0/language/fr_FR/admin.lang.php	(revision 3524)
@@ -653,3 +653,4 @@
 $lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Abonner %s à la newsletter Piwigo';
 $lang['Purge search history'] = 'Purger l\'historique des recherches';
+$lang['Hide'] = 'Masquer';
 ?>
Index: /branches/2.0/language/hr_HR/admin.lang.php
===================================================================
--- /branches/2.0/language/hr_HR/admin.lang.php	(revision 3523)
+++ /branches/2.0/language/hr_HR/admin.lang.php	(revision 3524)
@@ -654,3 +654,4 @@
 /*TODO*/$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Subscribe %s to Piwigo English Announcements Newsletter';
 /*TODO*/$lang['Purge search history'] = 'Purge search history';
+/*TODO*/$lang['Hide'] = 'Hide';
 ?>
Index: /branches/2.0/language/it_IT/admin.lang.php
===================================================================
--- /branches/2.0/language/it_IT/admin.lang.php	(revision 3523)
+++ /branches/2.0/language/it_IT/admin.lang.php	(revision 3524)
@@ -653,3 +653,4 @@
 $lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Abbonare %s alla newsletter Piwigo';
 /*TODO*/$lang['Purge search history'] = 'Purge search history';
+/*TODO*/$lang['Hide'] = 'Hide';
 ?>
Index: /branches/2.0/language/ja_JP/admin.lang.php
===================================================================
--- /branches/2.0/language/ja_JP/admin.lang.php	(revision 3523)
+++ /branches/2.0/language/ja_JP/admin.lang.php	(revision 3524)
@@ -651,3 +651,4 @@
 /*TODO*/$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Subscribe %s to Piwigo English Announcements Newsletter';
 /*TODO*/$lang['Purge search history'] = 'Purge search history';
+/*TODO*/$lang['Hide'] = 'Hide';
 ?>
Index: /branches/2.0/language/nl_NL/admin.lang.php
===================================================================
--- /branches/2.0/language/nl_NL/admin.lang.php	(revision 3523)
+++ /branches/2.0/language/nl_NL/admin.lang.php	(revision 3524)
@@ -654,3 +654,4 @@
 /*TODO*/$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Subscribe %s to Piwigo English Announcements Newsletter';
 /*TODO*/$lang['Purge search history'] = 'Purge search history';
+/*TODO*/$lang['Hide'] = 'Hide';
 ?>
Index: /branches/2.0/language/pl_PL/admin.lang.php
===================================================================
--- /branches/2.0/language/pl_PL/admin.lang.php	(revision 3523)
+++ /branches/2.0/language/pl_PL/admin.lang.php	(revision 3524)
@@ -654,3 +654,4 @@
 /*TODO*/$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Subscribe %s to Piwigo English Announcements Newsletter';
 /*TODO*/$lang['Purge search history'] = 'Purge search history';
+/*TODO*/$lang['Hide'] = 'Hide';
 ?>
Index: /branches/2.0/language/ru_RU/admin.lang.php
===================================================================
--- /branches/2.0/language/ru_RU/admin.lang.php	(revision 3523)
+++ /branches/2.0/language/ru_RU/admin.lang.php	(revision 3524)
@@ -654,3 +654,4 @@
 /*TODO*/$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Subscribe %s to Piwigo English Announcements Newsletter';
 /*TODO*/$lang['Purge search history'] = 'Purge search history';
+/*TODO*/$lang['Hide'] = 'Hide';
 ?>
Index: /branches/2.0/language/zh_CN/admin.lang.php
===================================================================
--- /branches/2.0/language/zh_CN/admin.lang.php	(revision 3523)
+++ /branches/2.0/language/zh_CN/admin.lang.php	(revision 3524)
@@ -653,4 +653,5 @@
 /*TODO*/$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Subscribe %s to Piwigo English Announcements Newsletter';
 /*TODO*/$lang['Purge search history'] = 'Purge search history';
+/*TODO*/$lang['Hide'] = 'Hide';
 
 ?>