Index: extensions/flop_mauve/images/index.php
===================================================================
--- extensions/flop_mauve/images/index.php	(revision 3530)
+++ extensions/flop_mauve/images/index.php	(revision 3530)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/flop_mauve/index.php
===================================================================
--- extensions/flop_mauve/index.php	(revision 3530)
+++ extensions/flop_mauve/index.php	(revision 3530)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/flop_mauve/mail-css.tpl
===================================================================
--- extensions/flop_mauve/mail-css.tpl	(revision 3530)
+++ extensions/flop_mauve/mail-css.tpl	(revision 3530)
@@ -0,0 +1,13 @@
+{* $Id: mail-css.tpl 2285 2008-03-18 23:43:38Z rvelices $ *}
+/* Theme clear mail css */
+
+body {ldelim} background-color:#fff; color:#696969;}
+#the_page {ldelim} background: #fff url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
+#content {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
+#copyright {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
+color: #333;}
+h2 {ldelim} background-color: #ddd;}
+img {ldelim} margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
+img:hover {ldelim} padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
+a {ldelim} color: #369; background: transparent; }
+a:hover {ldelim} color: #ddd; }
Index: extensions/flop_mauve/theme.css
===================================================================
--- extensions/flop_mauve/theme.css	(revision 3530)
+++ extensions/flop_mauve/theme.css	(revision 3530)
@@ -0,0 +1,243 @@
+/* $Id: theme.css 1938 2007-04-06 19:55:21Z rvelices $ */
+
+
+
+/*catégories*/
+
+
+#content ul.thumbnailCategories li {
+width:160px;
+height:205px;
+margin: 5px;
+padding: 5px;
+}
+
+#content div.thumbnailCategory {
+	text-align:center;
+	width:100%;
+	height:100%;
+	margin: 0;
+	padding: 0;
+	vertical-align:middle;
+}
+
+#content div.thumbnailCategory div.illustration  {
+width:auto;
+	height:auto;
+/*height:135px;*/
+text-align:center;
+overflow: inherit;
+float:none;
+	margin: 0;
+	padding: 0;
+}
+#content div.thumbnailCategory div.description {
+	width:auto;
+	height:auto;
+	text-align:center;
+	overflow:inherit;
+    float:none;
+    overflow: auto;
+
+}
+#content div.thumbnailCategory div.description IMG {
+	float:right;
+}
+/* --------------Hack-------------*/
+#content div.thumbnailCategory {
+    display: table-cell;
+    text-align: center;
+    vertical-align: middle;
+width:160px;
+height:205px;
+}
+#content div.thumbnailCategory * {
+    vertical-align: middle;
+}
+/*\*//*/
+.wraptocenter {
+    display: block;
+}
+.wraptocenter span {
+    display: inline-block;
+    height: 100%;
+    width: 1px;
+}
+/**/
+/* --------------fin Hack-------------*/
+
+#content div.thumbnailCategory div.description h3 {
+text-align:center;
+}
+#la_description {
+display:none;
+}
+
+
+/* text color */
+BODY, H1, H3, DT,
+INPUT.rateButtonSelected /* <= why IE doesn't inherit this ? */ {
+  color:#e0e0e0;
+}
+
+H2, #menubar DT, .throw {
+  color: #fff48e;
+}
+
+#content .navigationBar {
+  color: #aaaaaa;
+}
+#content .pageNumberSelected {
+  color: #000000;
+}
+
+.tabsheet li,
+.tabsheet li a { color: #fff; }
+.tabsheet li a:hover { color: #fff48e; }
+
+/* backgrounds */
+BODY {
+  background-color: #330033;
+}
+
+BODY#theCategoryPage #the_page {
+	background-image: url(images/bk_ground.gif);
+	background-repeat: repeat;
+	background-attachment: fixed;
+}
+
+BODY#thePicturePage #theHeader {
+	background-image: url(images/bk_ground.gif);
+}
+
+
+H3, #the_page, #imageHeaderBar, #imageToolBar A:hover, .row1  {
+	background-image: url(images/bk_ground.gif);
+	}
+
+#menubar DL, #content, #imageToolBar, .header_notes, .content {
+  background-color: #5f5f5f;
+}
+
+H2, #menubar DT, .throw  {
+  background-image: url(images/tableh1_bg.png);
+}
+
+#imageHeaderBar H2 {
+  background-image: none;
+  background-color: transparent;
+  border: none;
+}
+
+#imageHeaderBar {
+  background-image: url(images/tableh2_bg.png);
+  background-repeat: repeat-x;
+  background-position: center;
+}
+.tabsheet li { background-color: #3f3f3f; }
+
+.selected_tab { background-color: #5f5f5f !important; }
+
+/* borders */
+#menubar DL, #content, .content,
+#comments DIV.comment BLOCKQUOTE {
+  border: 1px solid #000000;
+}
+
+#imageHeaderBar {
+  border-top: 1px solid #000000;
+}
+H2, #menubar DT, #imageToolBar {
+  border-bottom: 1px solid #000000;
+}
+
+#theImage IMG {
+  border-color: #000000;
+}
+
+#content UL.thumbnail IMG {
+  border: 1px solid #a0a0a0;
+}
+
+FIELDSET, INPUT, SELECT, TEXTAREA,
+#content DIV.comment  A.illustration IMG, #infos,
+#content DIV.thumbnailCategory {
+  border: 1px solid gray;
+}
+
+#comments DIV.comment BLOCKQUOTE {
+  border-left: 2px solid #696969;
+}
+
+#content UL.thumbnails SPAN.wrap2 {
+  border: 1px solid #aaaaaa;	/* thumbnails border color and style */
+  -moz-border-radius: 10px;	/* round corners with Geko */
+  border-radius: 10px 10px;	/* round corners with CSS3 compliant browsers */
+  background-image: url(images/tn.jpg);
+}
+
+#content UL.thumbnails SPAN.wrap2:hover,
+#content UL.thumbnailCategories DIV.thumbnailCategory:hover,
+#content UL.thumbnailCategories DIV.thumbnailCategory:hover A {
+  background-color: #faebd7;
+  border-color: yellow;		/* thumbnails border color when mouse cursor is over it */
+  color: black;
+  -moz-border-radius: 10px;	/* round corners with Geko */
+  border-radius: 10px 10px;	/* round corners with CSS3 compliant browsers */
+}
+
+ul.tabsheet { border-color: #fff48e; }
+.tabsheet li { border: 1px solid #fff; }
+.tabsheet li:hover { border-color: #fff48e !important; }
+
+/* links */
+A, INPUT.rateButton {
+  color: #FFFFFF;
+}
+
+A:hover {
+  color: #FFF48E;
+}
+
+#imageToolBar A, #imageToolBar A:hover,
+A.navThumb, A.navThumb:hover {
+  border-bottom: none;
+}
+
+#theHeader A {
+	text-decoration: none;
+	margin: 0px;
+	padding: 0px;
+}
+/* others */
+.pleaseNote {
+  background: #9c9c9c;
+  color: #ffff99;
+  padding: 1ex;
+  font-weight: bold;
+}
+#the_page {
+  border: 1px solid #e0e0e0;
+  padding-top: 5px;
+  padding-bottom:30px;
+  display:block;
+}
+
+/*calendar elements*/
+SPAN.calItemEmpty { color: silver; }
+
+SPAN.calItem, SPAN.calItemEmpty
+{
+  border: 1px solid gray;
+}
+
+/* nice looking month calendar*/
+TD.calDayCellEmpty, TD.calDayCellFull { border: 1px solid gray;}
+
+TD.calDayCellEmpty { color: silver; }
+
+.calBackDate { color: #000; }
+.calForeDate { color: #fff; }
+.virtual_cat { background: #3f3f3f !important; }
+.qsearch { font-size: 80%; font-style: normal; }
+#mbMenu #quicksearch > p { text-align: left; }
Index: extensions/flop_mauve/themeconf.inc.php
===================================================================
--- extensions/flop_mauve/themeconf.inc.php	(revision 3530)
+++ extensions/flop_mauve/themeconf.inc.php	(revision 3530)
@@ -0,0 +1,21 @@
+<?php
+$themeconf = array(
+  'template' => 'yoga',
+  'theme' => 'flop_mauve',
+  'icon_dir' => 'template/yoga/icon',
+  'admin_icon_dir' => 'template/yoga/icon/admin',
+  'mime_icon_dir' => 'template/yoga/icon/mimetypes/',
+  'local_head' => '<!--[if IE]><style>
+#content div.thumbnailCategory span {
+    display: inline-block;
+    height: 100%;
+}
+</style><![endif]-->
+');
+
+$conf['level_separator'] = ' &raquo; ';
+$conf['paginate_pages_around'] = 7;
+
+
+
+?>