Index: /extensions/piclens/admin/piclenswallconfig.php
===================================================================
--- /extensions/piclens/admin/piclenswallconfig.php	(revision 3535)
+++ /extensions/piclens/admin/piclenswallconfig.php	(revision 3536)
@@ -22,4 +22,5 @@
 if (isset($_POST['submit'])) { 
   $me->my_config['piclens_wall'] = isset($_POST['piclens_wall']);
+  $me->my_config['piclens_wall_title'] = $_POST['piclens_wall_title'];
   $me->my_config['piclens_wall_color'] =   $_POST['background_color'];
   $me->my_config['piclens_wall_height'] =   $_POST['piclens_wall_height'];
@@ -48,4 +49,5 @@
 
   $me->my_config['piclens_wall_swflocal'] = isset($_POST['piclens_wall_swflocal']);
+  $me->my_config['piclens_wall_nb_ligne'] =   $_POST['piclens_wall_nb_ligne'];
   
   if ($pwgstuff_ok && $me->my_config['piclens_wall'])
@@ -141,5 +143,6 @@
 	'PICLENS_WALL_SPEC_BESTRATED'						=> ($me->my_config['piclens_wall_spec_bestrated'] ? 'checked="checked"' : '' ),
 	'PICLENS_WALL_SPEC_FAVORITES'						=> ($me->my_config['piclens_wall_spec_favorites'] ? 'checked="checked"' : '' ),
-	'PICLENS_WALL_SWFLOCAL'								=> ($me->my_config['piclens_wall_swflocal'] ? 'checked="checked"' : '' )
+	'PICLENS_WALL_SWFLOCAL'								=> ($me->my_config['piclens_wall_swflocal'] ? 'checked="checked"' : '' ),
+    'PICLENS_WALL_NB_LIGNE'                             => $me->my_config['piclens_wall_nb_ligne']
 	));
 
Index: /extensions/piclens/admin/piclenswallconfig.tpl
===================================================================
--- /extensions/piclens/admin/piclenswallconfig.tpl	(revision 3535)
+++ /extensions/piclens/admin/piclenswallconfig.tpl	(revision 3536)
@@ -102,4 +102,6 @@
 				 <input type="checkbox" name="piclens_wall_transparent" {$PICLENS_WALL_TRANSPARENT}/>&nbsp; {'piclens_wallcfg_transparent'|@translate}
 				 <br/>
+                 {'piclens_wallcfg_nbligne'|@translate} &nbsp;<input type="text" size="2" maxlength="2" value="{$PICLENS_WALL_NB_LIGNE}" name="piclens_wall_nb_ligne">&nbsp;
+				 <br/>
 			</td>
 		</tr>
Index: /extensions/piclens/admin/rssfeed.php
===================================================================
--- /extensions/piclens/admin/rssfeed.php	(revision 3535)
+++ /extensions/piclens/admin/rssfeed.php	(revision 3536)
@@ -20,5 +20,5 @@
 
 //$order_list = array('Defaut Piwigo', 'Date de Creation', 'Date d\'ajout', 'Note Moyenne', 'Plus vues', 'Nom du fichier', 'Id', 'Al&eacute;atoire', 'Cat&eacute;gories');
-$order_list = array(l10n('piclens_label_orderPiwigo'), l10n('piclens_label_orderCreDate'), l10n('piclens_label_orderAddDate'), l10n('piclens_label_orderRank'), l10n('piclens_label_orderBest'), l10n('piclens_label_orderName'), l10n('piclens_label_orderID'), l10n('piclens_label_orderRand'), l10n('piclens_label_orderCat'));
+$order_list = array(l10n('piclens_label_orderPiwigo'), l10n('piclens_label_orderCreDate'), l10n('piclens_label_orderAddDate'), l10n('piclens_label_orderAverage'), l10n('piclens_label_orderBest'), l10n('piclens_label_orderName'), l10n('piclens_label_orderID'), l10n('piclens_label_orderRand'), l10n('piclens_label_orderCat'), l10n('piclens_label_orderRank'));
 //$sort_list = array('Defaut Piwigo', 'Croissant', 'Decroissant');
 $sort_list = array(l10n('piclens_label_sortPiwigo'), l10n('piclens_label_sortUp'), l10n('piclens_label_sortDown'));
@@ -29,5 +29,5 @@
 $normal_list = array(l10n('piclens_label_TypeTN'), l10n('piclens_label_TypeNorm'), l10n('piclens_label_TypeHigh'));
 //$nameformat_list = array('Nom vignette : taille', 'Nom vignette', 'Nom de l\'image');
-$nameformat_list = array(l10n('piclens_label_Name1'), l10n('piclens_label_Name2'), l10n('piclens_label_Name3'));
+$nameformat_list = array(l10n('piclens_label_Name1'), l10n('piclens_label_Name2'), l10n('piclens_label_Name3'), l10n('piclens_label_Name4'));
 //$descformat_list = array('Rien', 'Nom de l\'image', 'Description de l\'image');
 $descformat_list = array(l10n('piclens_label_Desc1'), l10n('piclens_label_Desc2'), l10n('piclens_label_Desc3'));
Index: /extensions/piclens/generate_rss.php
===================================================================
--- /extensions/piclens/generate_rss.php	(revision 3535)
+++ /extensions/piclens/generate_rss.php	(revision 3536)
@@ -42,5 +42,5 @@
 	$thumb_secure = array('', '&amp;thumb=1', '');	// correspondant a 1-->'miniature' et 2-->'normal'
 	$normal_secure = array('', '&amp;thumb=1', '', '&amp;highdef=1');	// correspondant a 1-->'miniature' et 2-->'normal' et 3 --> High
-	$order_list = array('', $conf['order_by_inside_category'], 'ORDER BY date_creation', 'ORDER BY date_available', 'ORDER BY average_rate', 'ORDER BY hit', 'ORDER BY file', 'ORDER BY id', 'ORDER BY RAND()', 'ORDER BY category_id');	
+	$order_list = array('', $conf['order_by_inside_category'], 'ORDER BY date_creation', 'ORDER BY date_available', 'ORDER BY average_rate', 'ORDER BY hit', 'ORDER BY file', 'ORDER BY id', 'ORDER BY RAND()', 'ORDER BY category_id', 'ORDER BY category_id, rank ');	
 	$order_sort = array('', '', ' ASC', ' DESC');
 
@@ -476,4 +476,16 @@
 			// Recuperation informations de la categorie (Present maintenant dans row['catname'])
 			//$catinfo = get_cat_info($row['category_id']);
+
+			
+			//  Extended description for the comment and category name
+			if ($plugins_ExtendedDesc)	// Extended description compatibility
+			{
+				if (isset($row['catname']))
+					$row['catname'] = trigger_event('render_element_description',$row['catname']);	
+				if (isset($row['comment']))
+					$row['comment'] = trigger_event('render_element_description',$row['comment']);
+			}
+
+			
 			// Titre de l'image dans Piclens 			
 			switch($obj->my_config['piclens_name_image'])
@@ -496,4 +508,9 @@
 						. $row['file'] . "]]></title>\n";
 					break;
+				case 4 :
+                    // Rien
+					echo "<title></title>\n";
+					break;
+                    
 				default :
 						// format nom fichier : taille
@@ -509,18 +526,9 @@
 				case 2 :
 					if (isset($row['name']))
-					echo '<media:description type="html"><![CDATA['.$row['name'].']]> </media:description>';
+						echo '<media:description type="html"><![CDATA['.$row['name'].']]> </media:description>';
 					break;
 				case 3 : 
 					if (isset($row['comment']))
-					{
-						if ($plugins_ExtendedDesc)	// Extended description compatibility
-						{
-							$desc=trigger_event('render_element_description',$row['comment']);
-							echo '<media:description type="html"><![CDATA['.$desc.']]> </media:description>';
-						}
-						else
-							echo '<media:description type="html"><![CDATA['.$row['comment'].']]> </media:description>';					
-
-					}
+						echo '<media:description type="html"><![CDATA['.$row['comment'].']]> </media:description>';					
 					break;
 				default :
Index: /extensions/piclens/include/default_values.inc.php
===================================================================
--- /extensions/piclens/include/default_values.inc.php	(revision 3535)
+++ /extensions/piclens/include/default_values.inc.php	(revision 3536)
@@ -62,5 +62,5 @@
 
 $piclens_default_values['piclens_wall_swflocal'] = false;	// Flash swf local utilise pour le mur 3D (pas besoin du fichier crossdomain.xml mais pas de MAJ automatique du flash)
-
+$piclens_default_values['piclens_wall_nb_ligne']    = "3";
 
 ?>
Index: /extensions/piclens/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/piclens/language/en_UK/plugin.lang.php	(revision 3535)
+++ /extensions/piclens/language/en_UK/plugin.lang.php	(revision 3536)
@@ -86,5 +86,5 @@
 $lang['piclens_label_orderCreDate'] 	= 'Create date';
 $lang['piclens_label_orderAddDate'] 	= 'Add Date';
-$lang['piclens_label_orderRank'] 		= 'Average rate';
+$lang['piclens_label_orderAverage']     = 'Average rate';
 $lang['piclens_label_orderBest'] 		= 'Best hit';
 $lang['piclens_label_orderName']		= 'File name';
@@ -92,4 +92,5 @@
 $lang['piclens_label_orderRand'] 		= 'Random';
 $lang['piclens_label_orderCat'] 		= 'Category';
+$lang['piclens_label_orderRank'] 		= 'Rank';
 
 $lang['piclens_label_sortHome'] 		= 'Piclens on Home';
@@ -107,4 +108,5 @@
 $lang['piclens_label_Name2']			= 'Thumbnail name';
 $lang['piclens_label_Name3']			= 'Picture name';
+$lang['piclens_label_Name4']			= 'Nothing';
 
 $lang['piclens_label_Desc1']			= 'Nothing';
@@ -139,4 +141,6 @@
 $lang['piclens_wallcfg_swflocal'] 		= '[Optional] Using the local flash file (swf) for the 3DWall instead of the Cooliris site <b>[In this case, the crossdomain.xml file is not needed]</b>';
 
+$lang['piclens_wallcfg_nbligne']        = 'Number of row display on the wall ';
+
 $lang['piclens_wallcfg_cat']			= '	Categories included in the Cooliris 3D wall (when parameter \'specific\') :';
 
Index: /extensions/piclens/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/piclens/language/fr_FR/plugin.lang.php	(revision 3535)
+++ /extensions/piclens/language/fr_FR/plugin.lang.php	(revision 3536)
@@ -87,5 +87,5 @@
 $lang['piclens_label_orderCreDate'] 	= 'Date de Creation';
 $lang['piclens_label_orderAddDate'] 	= 'Date d\'ajout';
-$lang['piclens_label_orderRank'] 		= 'Note Moyenne';
+$lang['piclens_label_orderAverage']     = 'Note Moyenne';
 $lang['piclens_label_orderBest'] 		= 'Plus vues';
 $lang['piclens_label_orderName']		= 'Nom du fichier';
@@ -93,4 +93,5 @@
 $lang['piclens_label_orderRand'] 		= 'Al&eacute;atoire';
 $lang['piclens_label_orderCat'] 		= 'Cat&eacute;gories';
+$lang['piclens_label_orderRank'] 		= 'Rang';
 
 $lang['piclens_label_sortHome'] 		= 'Piclens sur Accueil';
@@ -108,4 +109,5 @@
 $lang['piclens_label_Name2']			= 'Nom vignette';
 $lang['piclens_label_Name3']			= 'Nom de l\'image';
+$lang['piclens_label_Name4']			= 'Rien';
 
 $lang['piclens_label_Desc1']			= 'Rien';
@@ -140,4 +142,6 @@
 $lang['piclens_wallcfg_swflocal'] 		= '[Optionel] Utilisation du fichier flash (swf) local pour le mur 3D au lieu du site Cooliris <b>[Dans ce cas, pas besoin de fichier crossdomain.xml]</b>';
 
+$lang['piclens_wallcfg_nbligne']        = 'Nombre de ligne affich&eacute;es du mur ';
+
 $lang['piclens_wallcfg_cat']			= 'Cat&eacute;gories prises en comte dans le mur 3D Cooliris (si param&egrave;tre \'sp&eacute;cifique\') :';
 
Index: /extensions/piclens/language/zh_CN/plugin.lang.php
===================================================================
--- /extensions/piclens/language/zh_CN/plugin.lang.php	(revision 3535)
+++ /extensions/piclens/language/zh_CN/plugin.lang.php	(revision 3536)
@@ -86,5 +86,5 @@
 $lang['piclens_label_orderCreDate'] 	= '创建日期';
 $lang['piclens_label_orderAddDate'] 	= '添加日期';
-$lang['piclens_label_orderRank'] 		= '评分平均值';
+$lang['piclens_label_orderAverage'] 		= '评分平均值';
 $lang['piclens_label_orderBest'] 		= '最高点击数';
 $lang['piclens_label_orderName']		= '文件名';
@@ -92,4 +92,5 @@
 $lang['piclens_label_orderRand'] 		= '随机';
 $lang['piclens_label_orderCat'] 		= '分类';
+$lang['piclens_label_orderRank'] 		= '评分平均值';
 
 $lang['piclens_label_sortHome'] 		= '首页的 Piclens';
@@ -102,9 +103,10 @@
 $lang['piclens_label_TypeTN']			= '缩略图';
 $lang['piclens_label_TypeNorm']			= '正常';
-$lang['piclens_label_TypeHigh']			= '高级';
+$lang['piclens_label_TypeHigh']			= '清淅';
 
 $lang['piclens_label_Name1']			= '缩略图名称 : 大小';
 $lang['piclens_label_Name2']			= '缩略图名称';
 $lang['piclens_label_Name3']			= '图片名称';
+$lang['piclens_label_Name4']			= '不显示';
 
 $lang['piclens_label_Desc1']			= '不显示';
@@ -144,5 +146,5 @@
 
 $lang['piclens_label_crossdomain1']		= '<i> <u>crossdomain.xml</u> 文件已经存在于网站的根目录, 如果需要可以手工修改此文件</i>';
-$lang['piclens_label_crossdomain2']		= '币制 crossdomain.xml 文件到网站的根目录';
+$lang['piclens_label_crossdomain2']		= '复制 crossdomain.xml 文件到网站的根目录';
 
 $lang['piclens_label_pwgstuff1']		= '<u>注意 :</u> <b>选项不可用, 因为 PWG_Stuff 插件已安装了 (查看 PWG_Stuff 里的选项). 可在那里改变某些设置.</b>';
Index: /extensions/piclens/main.inc.php
===================================================================
--- /extensions/piclens/main.inc.php	(revision 3535)
+++ /extensions/piclens/main.inc.php	(revision 3536)
@@ -2,5 +2,5 @@
 /*
  * Plugin Name: CoolIris-Piclens
- * Version: 0.3.4
+ * Version: 0.3.5
  * Description: Cooliris/Piclens activation
  * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
@@ -64,7 +64,16 @@
  /*  		Ajout fonction sauvegarde et restauration des fichier de configuration (utile pour la migration) */
  /*  		Ajout traduction chinoise (thanks Winson) */
+ /* 0.3.5 --> Ajout integration balises Extended Description dans le nom des categories */
+ /*  		Correction dans la traduction chinoise simplifiée */
+ /*  		Correction page admin : titre mur 3D non sauvegarde*/
+ /*  		Ajout parametre nombre lignes pour le mur 3D embeded*/
+ /*  		Ajout possibilité de ne pas afficher de titre sous les images*/
+ /*  		Ajout/correction tri par rang de l'image*/
+ 
  
 
 /********* TODO  *********/
+//- Ajouter un onglet en page d'admin pour tous les parametres du mur embeded (http://developer.cooliris.com/?p=embed/flash)
+//- Tri par rang
 //- possibilite d'afficher les derniers commentaires des images dans piclens
 
Index: /extensions/piclens/piclenswall.php
===================================================================
--- /extensions/piclens/piclenswall.php	(revision 3535)
+++ /extensions/piclens/piclenswall.php	(revision 3536)
@@ -61,5 +61,6 @@
 				'showsearch'			=> ($this->my_config['piclens_wall_showsearch'] ? "true" : "false"),
 				'transparent'			=> $this->my_config['piclens_wall_transparent'],
-				'swf_link'				=> ($this->my_config['piclens_wall_swflocal'] ? $this->root_site_piclens.PICLENS_PATH.'swf/cooliris.swf' : 'http://apps.cooliris.com/embed/cooliris.swf') 
+				'swf_link'				=> ($this->my_config['piclens_wall_swflocal'] ? $this->root_site_piclens.PICLENS_PATH.'swf/cooliris.swf' : 'http://apps.cooliris.com/embed/cooliris.swf'),
+                 'nbligne'              => $this->my_config['piclens_wall_nb_ligne']
 			));
 			
Index: /extensions/piclens/piclenswall.tpl
===================================================================
--- /extensions/piclens/piclenswall.tpl	(revision 3535)
+++ /extensions/piclens/piclenswall.tpl	(revision 3536)
@@ -9,13 +9,15 @@
 	<object id="o" classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" 
 		width="100%" height="{$height}" >
-			<param name="movie" value="{$swf_link}?feed={$rssfeed}&amp;style={$color}&amp;showEmbed={$showembed}&amp;showFullScreen={$showfullscreen}&amp;showSearch={$showsearch}" />
+			<param name="movie" value="{$swf_link}?feed={$rssfeed}&amp;style={$color}&amp;numRows={$nbligne}&amp;showEmbed={$showembed}&amp;showFullScreen={$showfullscreen}&amp;showSearch={$showsearch}" />
 			<param name="allowFullScreen" value="{$showfullscreen}" />
 			<param name="showEmbed" value="{$showembed}" />
 			<param name="showSearch" value="{$showsearch}" />
 			<param name="allowScriptAccess" value="always" />
+            <param name="flashvars" value="feed=api://www.flickr.com/&amp;style={$color}&amp;numRows={$nbligne}" />
+            
 			{if $transparent}
 			<param name="wmode" value="transparent" />
 			{/if}
-			<embed {if $transparent}WMODE="transparent" {/if} type="application/x-shockwave-flash" src="{$swf_link}?feed={$rssfeed}&amp;style={$color}&amp;showEmbed={$showembed}&amp;showFullScreen={$showfullscreen}&amp;showSearch={$showsearch}" width="100%" height="{$height}" showEmbed="{$showembed}" showSearch="{$showsearch}" allowFullScreen="{$showfullscreen}" allowScriptAccess="always" />
+			<embed {if $transparent}WMODE="transparent" {/if} type="application/x-shockwave-flash" src="{$swf_link}?feed={$rssfeed}&amp;style={$color}&amp;numRows={$nbligne}&amp;showEmbed={$showembed}&amp;showFullScreen={$showfullscreen}&amp;showSearch={$showsearch}" width="100%" height="{$height}" showEmbed="{$showembed}" showSearch="{$showsearch}" allowFullScreen="{$showfullscreen}" allowScriptAccess="always" style="{$color}" numRows="{$nbligne}"/>
 	</object>
 	</center>