Index: extensions/music_player/maintain.inc.php
===================================================================
--- extensions/music_player/maintain.inc.php	(revision 3534)
+++ extensions/music_player/maintain.inc.php	(revision 3542)
@@ -51,5 +51,5 @@
 INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
 	VALUES
-	("mp_plugin" , "true,true,false,400,500" , "Plugin music_player : evidence, header, footer, hauteur, largeur");';
+	("mp_plugin" , "true,false,false,260,400" , "Plugin music_player : evidence, header, footer, hauteur, largeur");';
     pwg_query($q);
 }
@@ -145,5 +145,5 @@
 INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
 	VALUES
-	("mp_plugin" , "true,true,false,400,500" , "Plugin music_player : evidence, header, footer, hauteur, largeur");';
+	("mp_plugin" , "true,false,false,260,400" , "Plugin music_player : evidence, header, footer, hauteur, largeur");';
     pwg_query($q);
   } 
@@ -164,5 +164,5 @@
 INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
 	VALUES
-	("mp_plugin" , "true,true,false,400,500" , "Plugin music_player : evidence, header, footer, hauteur, largeur");';
+	("mp_plugin" , "true,false,false,260,400" , "Plugin music_player : evidence, header, footer, hauteur, largeur");';
       pwg_query($q);
      }
Index: extensions/music_player/template/lecteur.tpl
===================================================================
--- extensions/music_player/template/lecteur.tpl	(revision 3534)
+++ extensions/music_player/template/lecteur.tpl	(revision 3542)
@@ -39,10 +39,10 @@
   <table id="table_content" border="0" cellspacing="0" cellpadding="0">
     <tr>
-      <td id="section_up_left">&nbsp;</td>
-      <td id="section_up">&nbsp;</td>
-      <td id="section_up_right">&nbsp;</td>
+      <td id="section_up_left"></td>
+      <td id="section_up"></td>
+      <td id="section_up_right"></td>
     </tr>
     <tr>
-      <td id="section_left">&nbsp;</td>
+      <td id="section_left"></td>
       <td id="section_in">
 	<div class="titrePage">
@@ -87,10 +87,10 @@
 </script></div>
 </td>
-	  <td id="section_right">&nbsp;</td>
+	  <td id="section_right"></td>
     </tr>
     <tr>
-      <td id="section_bottom_left">&nbsp;</td>
-      <td id="section_bottom" >&nbsp;</td>
-      <td id="section_bottom_right" >&nbsp;</td>
+      <td id="section_bottom_left"></td>
+      <td id="section_bottom" ></td>
+      <td id="section_bottom_right" ></td>
     </tr>
   </table>
Index: extensions/music_player/template/style/floPure/clear_blue/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/floPure/clear_blue/lecteur.conf.php	(revision 3534)
+++ extensions/music_player/template/style/floPure/clear_blue/lecteur.conf.php	(revision 3542)
@@ -1,5 +1,5 @@
 <?php
-$BACK_COLOR='0xcad8e1';
-$FRONT_COLOR='0x000000';
-$LIGHT_COLOR='0xedf2f2';
+$BACK_COLOR='0xffffff';
+$FRONT_COLOR='0x005E89';
+$LIGHT_COLOR='0x005E89';
 ?>
Index: extensions/music_player/template/style/floPure/sky/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/floPure/sky/lecteur.conf.php	(revision 3542)
+++ extensions/music_player/template/style/floPure/sky/lecteur.conf.php	(revision 3542)
@@ -0,0 +1,5 @@
+<?php
+$BACK_COLOR='0xffffff';
+$FRONT_COLOR='0x005E89';
+$LIGHT_COLOR='0x005E89';
+?>
Index: extensions/music_player/template/style/floPure/tr_clear_blue/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/floPure/tr_clear_blue/lecteur.conf.php	(revision 3534)
+++ extensions/music_player/template/style/floPure/tr_clear_blue/lecteur.conf.php	(revision 3542)
@@ -1,5 +1,5 @@
 <?php
-$BACK_COLOR='0xcad8e1';
-$FRONT_COLOR='0x000000';
-$LIGHT_COLOR='0xedf2f2';
+$BACK_COLOR='0xffffff';
+$FRONT_COLOR='0x005E89';
+$LIGHT_COLOR='0x005E89';
 ?>
Index: extensions/music_player/template/style/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/lecteur.conf.php	(revision 3534)
+++ extensions/music_player/template/style/lecteur.conf.php	(revision 3542)
@@ -2,4 +2,4 @@
 $BACK_COLOR='0x000000';
 $FRONT_COLOR='0xffffff';
-$LIGHT_COLOR='0x0099CC';
+$LIGHT_COLOR='0xe8e3dc';
 ?>
Index: extensions/music_player/template/style/lecteur.css
===================================================================
--- extensions/music_player/template/style/lecteur.css	(revision 3534)
+++ extensions/music_player/template/style/lecteur.css	(revision 3542)
@@ -1,29 +1,29 @@
 #autre_content
 {
-width:100%;
-padding:0;
-margin:0;
-text-align:left;
+	width:100%;
+	padding:0;
+	margin:0;
+	text-align:left;
   }
 #content
 {
-margin-left: auto;
-margin-bottom:1em;
-width:100%;
-border:none;
+	margin-left: auto;
+	margin-bottom:1em;
+	width:100%;
+	border:none;
   }
 #the_page
 {
-width:100%;
-border:none;
-  }
+	width:100%;
+	border:none;
+}
 body {
-min-width: inherit;
-width:100%;
-padding:10px;
+	min-width: inherit;
+	width:100%;
+	padding:0px;
 }
 #cache
 {
-padding:5px
+	padding:5px
 }
 #close_button
@@ -35,4 +35,5 @@
 {
 	padding:15px;
+	margin:auto;
 }
 #section_up
Index: extensions/music_player/template/style/yoga/Sylvia/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/yoga/Sylvia/lecteur.conf.php	(revision 3542)
+++ extensions/music_player/template/style/yoga/Sylvia/lecteur.conf.php	(revision 3542)
@@ -0,0 +1,5 @@
+<?php
+$BACK_COLOR='0x2b2b2b';
+$FRONT_COLOR='0xFF7700';
+$LIGHT_COLOR='0xfb3558';
+?>
Index: extensions/music_player/template/style/yoga/Sylvia/lecteur.css
===================================================================
--- extensions/music_player/template/style/yoga/Sylvia/lecteur.css	(revision 3542)
+++ extensions/music_player/template/style/yoga/Sylvia/lecteur.css	(revision 3542)
@@ -0,0 +1,49 @@
+#autre_content
+{
+	width:100%;
+	padding:0;
+	margin:0;
+	text-align:left;
+  }
+#content
+{
+	margin-left: auto;
+	margin-bottom:1em;
+	width:100%;
+	border:none;
+	min-height:inherit;
+  }
+#the_page
+{
+	width:100%;
+	border:none;
+}
+body {
+	min-width: inherit;
+	width:100%;
+	padding:0px;
+}
+#cache
+{
+	padding:5px
+}
+#close_button
+{
+	margin-right:10px;
+	margin-left:90%;
+}
+#table_content
+{
+	padding:15px;
+	margin:auto;
+}
+#section_up
+{
+	padding-top:5px;
+	text-align:right;
+}
+#section_up A
+{
+	text-decoration:none;
+	border:none;
+}
Index: extensions/music_player/template/style/yoga/clear/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/yoga/clear/lecteur.conf.php	(revision 3542)
+++ extensions/music_player/template/style/yoga/clear/lecteur.conf.php	(revision 3542)
@@ -0,0 +1,5 @@
+<?php
+$BACK_COLOR='0xffffff';
+$FRONT_COLOR='0x005E89';
+$LIGHT_COLOR='0x005E89';
+?>
Index: extensions/music_player/template/style/yoga/flop_mauve/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/yoga/flop_mauve/lecteur.conf.php	(revision 3542)
+++ extensions/music_player/template/style/yoga/flop_mauve/lecteur.conf.php	(revision 3542)
@@ -0,0 +1,5 @@
+<?php
+$BACK_COLOR='0x360041';
+$FRONT_COLOR='0xffffff';
+$LIGHT_COLOR='0xe8e3dc';
+?>